#include <kutils_includes.h>

#include <smoke.h>
#include <kutils_smoke.h>

namespace __smokekutils {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Emoticon
      switch(to) {
        case 1: return (void*)(Emoticon*)xptr;
        default: return xptr;
      }
    case 2:   //KAboutData
      switch(to) {
        case 2: return (void*)(KAboutData*)xptr;
        default: return xptr;
      }
    case 3:   //KCModule
      switch(to) {
        case 99: return (void*)(QWidget*)(KCModule*)xptr;
        case 68: return (void*)(QObject*)(KCModule*)xptr;
        case 3: return (void*)(KCModule*)xptr;
        case 4: return (void*)(KCModuleContainer*)(KCModule*)xptr;
        case 27: return (void*)(KSettings::PluginPage*)(KCModule*)xptr;
        default: return xptr;
      }
    case 4:   //KCModuleContainer
      switch(to) {
        case 3: return (void*)(KCModule*)(KCModuleContainer*)xptr;
        case 99: return (void*)(QWidget*)(KCModuleContainer*)xptr;
        case 68: return (void*)(QObject*)(KCModuleContainer*)xptr;
        case 4: return (void*)(KCModuleContainer*)xptr;
        default: return xptr;
      }
    case 5:   //KCModuleInfo
      switch(to) {
        case 5: return (void*)(KCModuleInfo*)xptr;
        default: return xptr;
      }
    case 6:   //KCModuleProxy
      switch(to) {
        case 99: return (void*)(QWidget*)(KCModuleProxy*)xptr;
        case 68: return (void*)(QObject*)(KCModuleProxy*)xptr;
        case 6: return (void*)(KCModuleProxy*)xptr;
        default: return xptr;
      }
    case 7:   //KCMultiDialog
      switch(to) {
        case 18: return (void*)(KPageDialog*)(KCMultiDialog*)xptr;
        case 11: return (void*)(KDialog*)(KCMultiDialog*)xptr;
        case 43: return (void*)(QDialog*)(KCMultiDialog*)xptr;
        case 99: return (void*)(QWidget*)(KCMultiDialog*)xptr;
        case 68: return (void*)(QObject*)(KCMultiDialog*)xptr;
        case 7: return (void*)(KCMultiDialog*)xptr;
        case 26: return (void*)(KSettings::Dialog*)(KCMultiDialog*)xptr;
        default: return xptr;
      }
    case 8:   //KCMultiDialogPrivate
      switch(to) {
        case 8: return (void*)(KCMultiDialogPrivate*)xptr;
        default: return xptr;
      }
    case 9:   //KCharsets
      switch(to) {
        case 9: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 10:   //KComponentData
      switch(to) {
        case 10: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 11:   //KDialog
      switch(to) {
        case 43: return (void*)(QDialog*)(KDialog*)xptr;
        case 99: return (void*)(QWidget*)(KDialog*)xptr;
        case 68: return (void*)(QObject*)(KDialog*)xptr;
        case 11: return (void*)(KDialog*)xptr;
        case 23: return (void*)(KPrintPreview*)(KDialog*)xptr;
        case 7: return (void*)(KCMultiDialog*)(KDialog*)xptr;
        case 26: return (void*)(KSettings::Dialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 12:   //KEmoticons
      switch(to) {
        case 68: return (void*)(QObject*)(KEmoticons*)xptr;
        case 12: return (void*)(KEmoticons*)xptr;
        default: return xptr;
      }
    case 13:   //KEmoticonsProvider
      switch(to) {
        case 68: return (void*)(QObject*)(KEmoticonsProvider*)xptr;
        case 13: return (void*)(KEmoticonsProvider*)xptr;
        default: return xptr;
      }
    case 14:   //KEmoticonsTheme
      switch(to) {
        case 14: return (void*)(KEmoticonsTheme*)xptr;
        default: return xptr;
      }
    case 15:   //KIdleTime
      switch(to) {
        case 68: return (void*)(QObject*)(KIdleTime*)xptr;
        case 15: return (void*)(KIdleTime*)xptr;
        default: return xptr;
      }
    case 16:   //KLocale
      switch(to) {
        case 16: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 17:   //KLocalizedString
      switch(to) {
        case 17: return (void*)(KLocalizedString*)xptr;
        default: return xptr;
      }
    case 18:   //KPageDialog
      switch(to) {
        case 11: return (void*)(KDialog*)(KPageDialog*)xptr;
        case 43: return (void*)(QDialog*)(KPageDialog*)xptr;
        case 99: return (void*)(QWidget*)(KPageDialog*)xptr;
        case 68: return (void*)(QObject*)(KPageDialog*)xptr;
        case 18: return (void*)(KPageDialog*)xptr;
        case 7: return (void*)(KCMultiDialog*)(KPageDialog*)xptr;
        case 26: return (void*)(KSettings::Dialog*)(KPageDialog*)xptr;
        default: return xptr;
      }
    case 19:   //KPageWidget
      switch(to) {
        case 99: return (void*)(QWidget*)(KPageWidget*)xptr;
        case 68: return (void*)(QObject*)(KPageWidget*)xptr;
        case 19: return (void*)(KPageWidget*)xptr;
        default: return xptr;
      }
    case 20:   //KPageWidgetItem
      switch(to) {
        case 68: return (void*)(QObject*)(KPageWidgetItem*)xptr;
        case 20: return (void*)(KPageWidgetItem*)xptr;
        default: return xptr;
      }
    case 21:   //KPluginInfo
      switch(to) {
        case 21: return (void*)(KPluginInfo*)xptr;
        default: return xptr;
      }
    case 22:   //KPluginSelector
      switch(to) {
        case 99: return (void*)(QWidget*)(KPluginSelector*)xptr;
        case 68: return (void*)(QObject*)(KPluginSelector*)xptr;
        case 22: return (void*)(KPluginSelector*)xptr;
        default: return xptr;
      }
    case 23:   //KPrintPreview
      switch(to) {
        case 11: return (void*)(KDialog*)(KPrintPreview*)xptr;
        case 43: return (void*)(QDialog*)(KPrintPreview*)xptr;
        case 99: return (void*)(QWidget*)(KPrintPreview*)xptr;
        case 68: return (void*)(QObject*)(KPrintPreview*)xptr;
        case 23: return (void*)(KPrintPreview*)xptr;
        default: return xptr;
      }
    case 24:   //KService
      switch(to) {
        case 24: return (void*)(KService*)xptr;
        default: return xptr;
      }
    case 25:   //KServiceAction
      switch(to) {
        case 25: return (void*)(KServiceAction*)xptr;
        default: return xptr;
      }
    case 26:   //KSettings::Dialog
      switch(to) {
        case 7: return (void*)(KCMultiDialog*)(KSettings::Dialog*)xptr;
        case 18: return (void*)(KPageDialog*)(KSettings::Dialog*)xptr;
        case 11: return (void*)(KDialog*)(KSettings::Dialog*)xptr;
        case 43: return (void*)(QDialog*)(KSettings::Dialog*)xptr;
        case 99: return (void*)(QWidget*)(KSettings::Dialog*)xptr;
        case 68: return (void*)(QObject*)(KSettings::Dialog*)xptr;
        case 26: return (void*)(KSettings::Dialog*)xptr;
        default: return xptr;
      }
    case 27:   //KSettings::PluginPage
      switch(to) {
        case 3: return (void*)(KCModule*)(KSettings::PluginPage*)xptr;
        case 99: return (void*)(QWidget*)(KSettings::PluginPage*)xptr;
        case 68: return (void*)(QObject*)(KSettings::PluginPage*)xptr;
        case 27: return (void*)(KSettings::PluginPage*)xptr;
        default: return xptr;
      }
    case 28:   //KSharedConfig
      switch(to) {
        case 28: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 29:   //KStandardDirs
      switch(to) {
        case 29: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 30:   //QActionEvent
      switch(to) {
        case 30: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 31:   //QBool
      switch(to) {
        case 31: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 32:   //QBrush
      switch(to) {
        case 32: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 33:   //QByteArray
      switch(to) {
        case 33: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 34:   //QChar
      switch(to) {
        case 34: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 35:   //QChildEvent
      switch(to) {
        case 35: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QCloseEvent
      switch(to) {
        case 36: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QColor
      switch(to) {
        case 37: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 38:   //QContextMenuEvent
      switch(to) {
        case 38: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCursor
      switch(to) {
        case 39: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 40:   //QDataStream
      switch(to) {
        case 40: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 41:   //QDate
      switch(to) {
        case 41: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 42:   //QDateTime
      switch(to) {
        case 42: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 43:   //QDialog
      switch(to) {
        case 99: return (void*)(QWidget*)(QDialog*)xptr;
        case 68: return (void*)(QObject*)(QDialog*)xptr;
        case 43: return (void*)(QDialog*)xptr;
        case 23: return (void*)(KPrintPreview*)(QDialog*)xptr;
        case 7: return (void*)(KCMultiDialog*)(QDialog*)xptr;
        case 26: return (void*)(KSettings::Dialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 44:   //QDragEnterEvent
      switch(to) {
        case 44: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragLeaveEvent
      switch(to) {
        case 45: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragMoveEvent
      switch(to) {
        case 46: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDropEvent
      switch(to) {
        case 47: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QEvent
      switch(to) {
        case 48: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFocusEvent
      switch(to) {
        case 49: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFont
      switch(to) {
        case 50: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 52:   //QHashDummyValue
      switch(to) {
        case 52: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 53:   //QHideEvent
      switch(to) {
        case 53: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QIcon
      switch(to) {
        case 54: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 55:   //QImage
      switch(to) {
        case 55: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 56:   //QIncompatibleFlag
      switch(to) {
        case 56: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 57:   //QInputMethodEvent
      switch(to) {
        case 57: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QKeyEvent
      switch(to) {
        case 58: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 59:   //QKeySequence
      switch(to) {
        case 59: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 60:   //QLatin1String
      switch(to) {
        case 60: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 61:   //QLine
      switch(to) {
        case 61: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 62:   //QLineF
      switch(to) {
        case 62: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 63:   //QMargins
      switch(to) {
        case 63: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 64:   //QMatrix
      switch(to) {
        case 64: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 65:   //QMetaObject
      switch(to) {
        case 65: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 66:   //QMouseEvent
      switch(to) {
        case 66: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QMoveEvent
      switch(to) {
        case 67: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QObject
      switch(to) {
        case 68: return (void*)(QObject*)xptr;
        case 15: return (void*)(KIdleTime*)(QObject*)xptr;
        case 23: return (void*)(KPrintPreview*)(QObject*)xptr;
        case 7: return (void*)(KCMultiDialog*)(QObject*)xptr;
        case 26: return (void*)(KSettings::Dialog*)(QObject*)xptr;
        case 6: return (void*)(KCModuleProxy*)(QObject*)xptr;
        case 13: return (void*)(KEmoticonsProvider*)(QObject*)xptr;
        case 4: return (void*)(KCModuleContainer*)(QObject*)xptr;
        case 12: return (void*)(KEmoticons*)(QObject*)xptr;
        case 27: return (void*)(KSettings::PluginPage*)(QObject*)xptr;
        case 22: return (void*)(KPluginSelector*)(QObject*)xptr;
        default: return xptr;
      }
    case 69:   //QPaintEngine
      switch(to) {
        case 69: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 70:   //QPaintEvent
      switch(to) {
        case 70: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QPainterPath
      switch(to) {
        case 71: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 72:   //QPalette
      switch(to) {
        case 72: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 73:   //QPixmap
      switch(to) {
        case 73: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 74:   //QPoint
      switch(to) {
        case 74: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 75:   //QPointF
      switch(to) {
        case 75: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 76:   //QPolygon
      switch(to) {
        case 76: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 77:   //QPolygonF
      switch(to) {
        case 77: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 78:   //QPrinter
      switch(to) {
        case 78: return (void*)(QPrinter*)xptr;
        default: return xptr;
      }
    case 79:   //QRect
      switch(to) {
        case 79: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 80:   //QRectF
      switch(to) {
        case 80: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 81:   //QRegExp
      switch(to) {
        case 81: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 82:   //QRegion
      switch(to) {
        case 82: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 83:   //QResizeEvent
      switch(to) {
        case 83: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 84:   //QShowEvent
      switch(to) {
        case 84: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QSize
      switch(to) {
        case 85: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 86:   //QSizeF
      switch(to) {
        case 86: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 87:   //QSizePolicy
      switch(to) {
        case 87: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 88:   //QString::Null
      switch(to) {
        case 88: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 89:   //QStringRef
      switch(to) {
        case 89: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 90:   //QStyle
      switch(to) {
        case 90: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 91:   //QTabletEvent
      switch(to) {
        case 91: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 92:   //QTime
      switch(to) {
        case 92: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 93:   //QTimerEvent
      switch(to) {
        case 93: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 94:   //QTransform
      switch(to) {
        case 94: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 95:   //QUrl
      switch(to) {
        case 95: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 96:   //QVariant
      switch(to) {
        case 96: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 97:   //QVariantComparisonHelper
      switch(to) {
        case 97: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 98:   //QWheelEvent
      switch(to) {
        case 98: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 99:   //QWidget
      switch(to) {
        case 68: return (void*)(QObject*)(QWidget*)xptr;
        case 99: return (void*)(QWidget*)xptr;
        case 23: return (void*)(KPrintPreview*)(QWidget*)xptr;
        case 7: return (void*)(KCMultiDialog*)(QWidget*)xptr;
        case 26: return (void*)(KSettings::Dialog*)(QWidget*)xptr;
        case 6: return (void*)(KCModuleProxy*)(QWidget*)xptr;
        case 4: return (void*)(KCModuleContainer*)(QWidget*)xptr;
        case 27: return (void*)(KSettings::PluginPage*)(QWidget*)xptr;
        case 22: return (void*)(KPluginSelector*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    3, 0,	// 1: KCModule
    99, 0,	// 3: QWidget
    18, 0,	// 5: KPageDialog
    68, 0,	// 7: QObject
    11, 0,	// 9: KDialog
    7, 0,	// 11: KCMultiDialog
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KEmoticonsProvider(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KPluginSelector(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KCModuleContainer(Smoke::Index, void*, Smoke::Stack);
void xcall_KCModuleProxy(Smoke::Index, void*, Smoke::Stack);
void xcall_KCMultiDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticons(Smoke::Index, void*, Smoke::Stack);
void xcall_KEmoticonsProvider(Smoke::Index, void*, Smoke::Stack);
void xcall_KIdleTime(Smoke::Index, void*, Smoke::Stack);
void xcall_KPluginSelector(Smoke::Index, void*, Smoke::Stack);
void xcall_KPrintPreview(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__Dialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KSettings__PluginPage(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Emoticon", true, 0, 0, 0, 0, 0 },	//1
    { "KAboutData", true, 0, 0, 0, 0, 0 },	//2
    { "KCModule", true, 0, 0, 0, 0, 0 },	//3
    { "KCModuleContainer", false, 1, xcall_KCModuleContainer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleContainer) },	//4
    { "KCModuleInfo", true, 0, 0, 0, 0, 0 },	//5
    { "KCModuleProxy", false, 3, xcall_KCModuleProxy, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCModuleProxy) },	//6
    { "KCMultiDialog", false, 5, xcall_KCMultiDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KCMultiDialog) },	//7
    { "KCMultiDialogPrivate", true, 0, 0, 0, 0, 0 },	//8
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//9
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//10
    { "KDialog", true, 0, 0, 0, 0, 0 },	//11
    { "KEmoticons", false, 7, xcall_KEmoticons, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticons) },	//12
    { "KEmoticonsProvider", false, 7, xcall_KEmoticonsProvider, xenum_KEmoticonsProvider, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KEmoticonsProvider) },	//13
    { "KEmoticonsTheme", true, 0, 0, 0, 0, 0 },	//14
    { "KIdleTime", false, 7, xcall_KIdleTime, 0, Smoke::cf_virtual, sizeof(KIdleTime) },	//15
    { "KLocale", true, 0, 0, 0, 0, 0 },	//16
    { "KLocalizedString", true, 0, 0, 0, 0, 0 },	//17
    { "KPageDialog", true, 0, 0, 0, 0, 0 },	//18
    { "KPageWidget", true, 0, 0, 0, 0, 0 },	//19
    { "KPageWidgetItem", true, 0, 0, 0, 0, 0 },	//20
    { "KPluginInfo", true, 0, 0, 0, 0, 0 },	//21
    { "KPluginSelector", false, 3, xcall_KPluginSelector, xenum_KPluginSelector, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPluginSelector) },	//22
    { "KPrintPreview", false, 9, xcall_KPrintPreview, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KPrintPreview) },	//23
    { "KService", true, 0, 0, 0, 0, 0 },	//24
    { "KServiceAction", true, 0, 0, 0, 0, 0 },	//25
    { "KSettings::Dialog", false, 11, xcall_KSettings__Dialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::Dialog) },	//26
    { "KSettings::PluginPage", false, 1, xcall_KSettings__PluginPage, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KSettings::PluginPage) },	//27
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//28
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//29
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//30
    { "QBool", true, 0, 0, 0, 0, 0 },	//31
    { "QBrush", true, 0, 0, 0, 0, 0 },	//32
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//33
    { "QChar", true, 0, 0, 0, 0, 0 },	//34
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QColor", true, 0, 0, 0, 0, 0 },	//37
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCursor", true, 0, 0, 0, 0, 0 },	//39
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//40
    { "QDate", true, 0, 0, 0, 0, 0 },	//41
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//42
    { "QDialog", true, 0, 0, 0, 0, 0 },	//43
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFont", true, 0, 0, 0, 0, 0 },	//50
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//51
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//52
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QIcon", true, 0, 0, 0, 0, 0 },	//54
    { "QImage", true, 0, 0, 0, 0, 0 },	//55
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//56
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//58
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//59
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//60
    { "QLine", true, 0, 0, 0, 0, 0 },	//61
    { "QLineF", true, 0, 0, 0, 0, 0 },	//62
    { "QMargins", true, 0, 0, 0, 0, 0 },	//63
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//64
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//65
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QObject", true, 0, 0, 0, 0, 0 },	//68
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//69
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//71
    { "QPalette", true, 0, 0, 0, 0, 0 },	//72
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//73
    { "QPoint", true, 0, 0, 0, 0, 0 },	//74
    { "QPointF", true, 0, 0, 0, 0, 0 },	//75
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//76
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//77
    { "QPrinter", true, 0, 0, 0, 0, 0 },	//78
    { "QRect", true, 0, 0, 0, 0, 0 },	//79
    { "QRectF", true, 0, 0, 0, 0, 0 },	//80
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//81
    { "QRegion", true, 0, 0, 0, 0, 0 },	//82
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//83
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QSize", true, 0, 0, 0, 0, 0 },	//85
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//86
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//87
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//88
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//89
    { "QStyle", true, 0, 0, 0, 0, 0 },	//90
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//91
    { "QTime", true, 0, 0, 0, 0, 0 },	//92
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//93
    { "QTransform", true, 0, 0, 0, 0, 0 },	//94
    { "QUrl", true, 0, 0, 0, 0, 0 },	//95
    { "QVariant", true, 0, 0, 0, 0, 0 },	//96
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//97
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//98
    { "QWidget", true, 0, 0, 0, 0, 0 },	//99
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Emoticon", 1, Smoke::t_class|Smoke::tf_stack },	//1
    { "KCModule*", 3, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KCModule::Button", 3, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KCModuleContainer*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KCModuleInfo", 5, Smoke::t_class|Smoke::tf_stack },	//5
    { "KCModuleLoader::ErrorReporting", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "KCModuleProxy*", 6, Smoke::t_class|Smoke::tf_ptr },	//7
    { "KCMultiDialog*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KCMultiDialogPrivate&", 8, Smoke::t_class|Smoke::tf_ref },	//9
    { "KCharsets*", 9, Smoke::t_class|Smoke::tf_ptr },	//10
    { "KComponentData", 10, Smoke::t_class|Smoke::tf_stack },	//11
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//13
    { "KDialog::ButtonCode", 11, Smoke::t_enum|Smoke::tf_stack },	//14
    { "KDialog::CaptionFlag", 11, Smoke::t_enum|Smoke::tf_stack },	//15
    { "KEmoticons*", 12, Smoke::t_class|Smoke::tf_ptr },	//16
    { "KEmoticonsProvider*", 13, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KEmoticonsProvider::AddEmoticonOption", 13, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KEmoticonsTheme", 14, Smoke::t_class|Smoke::tf_stack },	//19
    { "KEmoticonsTheme::ParseModeEnum", 14, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//23
    { "KIdleTime*", 15, Smoke::t_class|Smoke::tf_ptr },	//24
    { "KLocale*", 16, Smoke::t_class|Smoke::tf_ptr },	//25
    { "KLocale::DateTimeComponent", 16, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KLocale::DateTimeFormatOption", 16, Smoke::t_enum|Smoke::tf_stack },	//27
    { "KLocale::TimeFormatOption", 16, Smoke::t_enum|Smoke::tf_stack },	//28
    { "KLocale::TimeProcessingOption", 16, Smoke::t_enum|Smoke::tf_stack },	//29
    { "KLocalizedString", 17, Smoke::t_class|Smoke::tf_stack },	//30
    { "KPageWidget*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "KPageWidgetItem*", 20, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KPluginInfo", 21, Smoke::t_class|Smoke::tf_stack },	//33
    { "KPluginSelector*", 22, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KPluginSelector::PluginLoadMethod", 22, Smoke::t_enum|Smoke::tf_stack },	//35
    { "KPrintPreview*", 23, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KService", 24, Smoke::t_class|Smoke::tf_stack },	//37
    { "KServiceAction&", 25, Smoke::t_class|Smoke::tf_ref },	//38
    { "KSettings::Dialog*", 26, Smoke::t_class|Smoke::tf_ptr },	//39
    { "KSettings::PluginPage*", 27, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KSharedConfig", 28, Smoke::t_class|Smoke::tf_stack },	//41
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//42
    { "KStandardDirs*", 29, Smoke::t_class|Smoke::tf_ptr },	//43
    { "KSycocaFactoryId", 51, Smoke::t_enum|Smoke::tf_stack },	//44
    { "KSycocaType", 51, Smoke::t_enum|Smoke::tf_stack },	//45
    { "KUrl::CleanPathOption", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KUrl::DirectoryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "KUrl::EncodedPathAndQueryOption", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "KUrl::EqualsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "KUrl::QueryItemsOption", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "QActionEvent*", 30, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QBool", 31, Smoke::t_class|Smoke::tf_stack },	//52
    { "QBrush&", 32, Smoke::t_class|Smoke::tf_ref },	//53
    { "QByteArray", 33, Smoke::t_class|Smoke::tf_stack },	//54
    { "QByteArray&", 33, Smoke::t_class|Smoke::tf_ref },	//55
    { "QChar", 34, Smoke::t_class|Smoke::tf_stack },	//56
    { "QChar&", 34, Smoke::t_class|Smoke::tf_ref },	//57
    { "QChildEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QCloseEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QColor&", 37, Smoke::t_class|Smoke::tf_ref },	//60
    { "QContextMenuEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QCursor&", 39, Smoke::t_class|Smoke::tf_ref },	//62
    { "QDataStream&", 40, Smoke::t_class|Smoke::tf_ref },	//63
    { "QDate&", 41, Smoke::t_class|Smoke::tf_ref },	//64
    { "QDateTime&", 42, Smoke::t_class|Smoke::tf_ref },	//65
    { "QDragEnterEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QDragLeaveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QDragMoveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//68
    { "QDropEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//70
    { "QFlags<KCModule::Button>", 0, Smoke::t_uint|Smoke::tf_stack },	//71
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//72
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//73
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//74
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//75
    { "QFlags<KEmoticonsTheme::ParseModeEnum>", 0, Smoke::t_uint|Smoke::tf_stack },	//76
    { "QFlags<KLocale::DateTimeComponent>", 0, Smoke::t_uint|Smoke::tf_stack },	//77
    { "QFlags<KLocale::DateTimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//78
    { "QFlags<KLocale::TimeFormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//79
    { "QFlags<KLocale::TimeProcessingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//80
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//81
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//82
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//83
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//84
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//85
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//86
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//87
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//88
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//89
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//90
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//91
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//92
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//93
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//94
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//95
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//96
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//97
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//98
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//99
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//100
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//101
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//102
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//103
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//104
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//105
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//106
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//107
    { "QFocusEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QFont&", 50, Smoke::t_class|Smoke::tf_ref },	//109
    { "QHash<QChar,QList<Emoticon> >", 0, Smoke::t_voidp|Smoke::tf_stack },	//110
    { "QHash<QString,QStringList>", 0, Smoke::t_voidp|Smoke::tf_stack },	//111
    { "QHash<int,int>", 0, Smoke::t_voidp|Smoke::tf_stack },	//112
    { "QHideEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QIcon&", 54, Smoke::t_class|Smoke::tf_ref },	//115
    { "QImage&", 55, Smoke::t_class|Smoke::tf_ref },	//116
    { "QIncompatibleFlag", 56, Smoke::t_class|Smoke::tf_stack },	//117
    { "QInputMethodEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//118
    { "QKeyEvent*", 58, Smoke::t_class|Smoke::tf_ptr },	//119
    { "QKeySequence&", 59, Smoke::t_class|Smoke::tf_ref },	//120
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "QLine", 61, Smoke::t_class|Smoke::tf_stack },	//122
    { "QLine&", 61, Smoke::t_class|Smoke::tf_ref },	//123
    { "QLineF", 62, Smoke::t_class|Smoke::tf_stack },	//124
    { "QLineF&", 62, Smoke::t_class|Smoke::tf_ref },	//125
    { "QList<Emoticon>", 0, Smoke::t_voidp|Smoke::tf_stack },	//126
    { "QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref },	//127
    { "QList<KPluginInfo>", 0, Smoke::t_voidp|Smoke::tf_stack },	//128
    { "QList<QString>", 0, Smoke::t_voidp|Smoke::tf_stack },	//129
    { "QMatrix&", 64, Smoke::t_class|Smoke::tf_ref },	//130
    { "QMetaObject::Call", 65, Smoke::t_enum|Smoke::tf_stack },	//131
    { "QMouseEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//132
    { "QMoveEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//133
    { "QObject*", 68, Smoke::t_class|Smoke::tf_ptr },	//134
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "QPaintEngine*", 69, Smoke::t_class|Smoke::tf_ptr },	//136
    { "QPaintEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//137
    { "QPainterPath", 71, Smoke::t_class|Smoke::tf_stack },	//138
    { "QPainterPath&", 71, Smoke::t_class|Smoke::tf_ref },	//139
    { "QPalette&", 72, Smoke::t_class|Smoke::tf_ref },	//140
    { "QPixmap&", 73, Smoke::t_class|Smoke::tf_ref },	//141
    { "QPoint", 74, Smoke::t_class|Smoke::tf_stack },	//142
    { "QPoint&", 74, Smoke::t_class|Smoke::tf_ref },	//143
    { "QPointF", 75, Smoke::t_class|Smoke::tf_stack },	//144
    { "QPointF&", 75, Smoke::t_class|Smoke::tf_ref },	//145
    { "QPolygon", 76, Smoke::t_class|Smoke::tf_stack },	//146
    { "QPolygon&", 76, Smoke::t_class|Smoke::tf_ref },	//147
    { "QPolygonF", 77, Smoke::t_class|Smoke::tf_stack },	//148
    { "QPolygonF&", 77, Smoke::t_class|Smoke::tf_ref },	//149
    { "QPrinter*", 78, Smoke::t_class|Smoke::tf_ptr },	//150
    { "QRect&", 79, Smoke::t_class|Smoke::tf_ref },	//151
    { "QRectF&", 80, Smoke::t_class|Smoke::tf_ref },	//152
    { "QRegExp&", 81, Smoke::t_class|Smoke::tf_ref },	//153
    { "QRegion", 82, Smoke::t_class|Smoke::tf_stack },	//154
    { "QRegion&", 82, Smoke::t_class|Smoke::tf_ref },	//155
    { "QResizeEvent*", 83, Smoke::t_class|Smoke::tf_ptr },	//156
    { "QShowEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//157
    { "QSize", 85, Smoke::t_class|Smoke::tf_stack },	//158
    { "QSize&", 85, Smoke::t_class|Smoke::tf_ref },	//159
    { "QSizeF&", 86, Smoke::t_class|Smoke::tf_ref },	//160
    { "QSizePolicy&", 87, Smoke::t_class|Smoke::tf_ref },	//161
    { "QSizePolicy::ControlType", 87, Smoke::t_enum|Smoke::tf_stack },	//162
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//163
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//164
    { "QString::Null", 88, Smoke::t_class|Smoke::tf_stack },	//165
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//167
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//168
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//169
    { "QStyle&", 90, Smoke::t_class|Smoke::tf_ref },	//170
    { "QTabletEvent*", 91, Smoke::t_class|Smoke::tf_ptr },	//171
    { "QTime&", 92, Smoke::t_class|Smoke::tf_ref },	//172
    { "QTimerEvent*", 93, Smoke::t_class|Smoke::tf_ptr },	//173
    { "QTransform", 94, Smoke::t_class|Smoke::tf_stack },	//174
    { "QTransform&", 94, Smoke::t_class|Smoke::tf_ref },	//175
    { "QUrl&", 95, Smoke::t_class|Smoke::tf_ref },	//176
    { "QUrl::FormattingOption", 95, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QVariant", 96, Smoke::t_class|Smoke::tf_stack },	//178
    { "QVariant&", 96, Smoke::t_class|Smoke::tf_ref },	//179
    { "QVariant::Type&", 96, Smoke::t_enum|Smoke::tf_ref },	//180
    { "QWheelEvent*", 98, Smoke::t_class|Smoke::tf_ptr },	//181
    { "QWidget*", 99, Smoke::t_class|Smoke::tf_ptr },	//182
    { "QWidget::RenderFlag", 99, Smoke::t_enum|Smoke::tf_stack },	//183
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//184
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//185
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//186
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//187
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//188
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//189
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//190
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//192
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//193
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//194
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//195
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//196
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//197
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//198
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//200
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//201
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//202
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//203
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//204
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//205
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//206
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//207
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//208
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//210
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//211
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//212
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//213
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//214
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//215
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//216
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//217
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//218
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//219
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//220
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//221
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//222
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//223
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//224
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//225
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//226
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//227
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//228
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//229
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//230
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//231
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//232
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//233
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//234
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//235
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//236
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//237
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//238
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//239
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//240
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//241
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//242
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//243
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//245
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//246
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//247
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//248
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//249
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//250
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QtMsgType", 51, Smoke::t_enum|Smoke::tf_stack },	//256
    { "QtValidLicenseForActiveQtModule", 51, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QtValidLicenseForCoreModule", 51, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QtValidLicenseForDBusModule", 51, Smoke::t_enum|Smoke::tf_stack },	//259
    { "QtValidLicenseForDeclarativeModule", 51, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QtValidLicenseForGuiModule", 51, Smoke::t_enum|Smoke::tf_stack },	//261
    { "QtValidLicenseForHelpModule", 51, Smoke::t_enum|Smoke::tf_stack },	//262
    { "QtValidLicenseForMultimediaModule", 51, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QtValidLicenseForNetworkModule", 51, Smoke::t_enum|Smoke::tf_stack },	//264
    { "QtValidLicenseForOpenGLModule", 51, Smoke::t_enum|Smoke::tf_stack },	//265
    { "QtValidLicenseForOpenVGModule", 51, Smoke::t_enum|Smoke::tf_stack },	//266
    { "QtValidLicenseForQt3SupportLightModule", 51, Smoke::t_enum|Smoke::tf_stack },	//267
    { "QtValidLicenseForQt3SupportModule", 51, Smoke::t_enum|Smoke::tf_stack },	//268
    { "QtValidLicenseForScriptModule", 51, Smoke::t_enum|Smoke::tf_stack },	//269
    { "QtValidLicenseForScriptToolsModule", 51, Smoke::t_enum|Smoke::tf_stack },	//270
    { "QtValidLicenseForSqlModule", 51, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QtValidLicenseForSvgModule", 51, Smoke::t_enum|Smoke::tf_stack },	//272
    { "QtValidLicenseForTestModule", 51, Smoke::t_enum|Smoke::tf_stack },	//273
    { "QtValidLicenseForXmlModule", 51, Smoke::t_enum|Smoke::tf_stack },	//274
    { "QtValidLicenseForXmlPatternsModule", 51, Smoke::t_enum|Smoke::tf_stack },	//275
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//276
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//277
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//278
    { "const KAboutData*", 2, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//279
    { "const KCModuleInfo&", 5, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//280
    { "const KComponentData&", 10, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//281
    { "const KEmoticonsTheme&", 14, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//282
    { "const KServiceAction&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//283
    { "const KSharedPtr<KService>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//284
    { "const KSharedPtr<KSharedConfig>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//285
    { "const QBrush&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//286
    { "const QByteArray", 33, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//287
    { "const QByteArray&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//288
    { "const QChar&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//289
    { "const QColor&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//290
    { "const QCursor&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//291
    { "const QDate&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//292
    { "const QDateTime&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//293
    { "const QFont&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//294
    { "const QHashDummyValue&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//295
    { "const QIcon&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//296
    { "const QImage&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//297
    { "const QKeySequence&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//298
    { "const QLatin1String&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//299
    { "const QLine&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//300
    { "const QLineF&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//301
    { "const QList<KCModuleProxy*>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//302
    { "const QList<KPluginInfo>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//303
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//304
    { "const QMargins&", 63, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//305
    { "const QMatrix&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//306
    { "const QMetaObject&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//307
    { "const QMetaObject*", 65, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//308
    { "const QObject*", 68, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//309
    { "const QPainterPath&", 71, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//310
    { "const QPalette&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//311
    { "const QPixmap&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//312
    { "const QPoint", 74, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//313
    { "const QPoint&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//314
    { "const QPointF", 75, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//315
    { "const QPointF&", 75, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//316
    { "const QPolygon&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//317
    { "const QPolygonF&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//318
    { "const QRect&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//319
    { "const QRectF&", 80, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//320
    { "const QRegExp&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//321
    { "const QRegion&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//322
    { "const QSize", 85, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//323
    { "const QSize&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//324
    { "const QSizeF", 86, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//325
    { "const QSizeF&", 86, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//326
    { "const QSizePolicy&", 87, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//327
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//328
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//329
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//330
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//331
    { "const QStringRef&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//332
    { "const QTime&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//333
    { "const QTransform&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//334
    { "const QUrl&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//335
    { "const QVariant&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//336
    { "const QVariant::Type", 96, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//337
    { "const QVariantComparisonHelper&", 97, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//338
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//339
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//340
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//341
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//342
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//343
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//344
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//345
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//346
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//347
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//348
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    157, 0,	//1  QShowEvent*
    339, 0,	//3  const char*
    339, 339, 0,	//5  const char*, const char*
    339, 339, 343, 0,	//8  const char*, const char*, int
    131, 343, 347, 0,	//12  QMetaObject::Call, int, void**
    182, 330, 0,	//16  QWidget*, const QStringList&
    182, 329, 0,	//19  QWidget*, const QString&
    329, 0,	//22  const QString&
    182, 0,	//24  QWidget*
    302, 0,	//26  const QList<KCModuleProxy*>&
    280, 182, 330, 0,	//28  const KCModuleInfo&, QWidget*, const QStringList&
    329, 182, 330, 0,	//32  const QString&, QWidget*, const QStringList&
    284, 182, 330, 0,	//36  const KSharedPtr<KService>&, QWidget*, const QStringList&
    277, 0,	//40  bool
    7, 0,	//42  KCModuleProxy*
    280, 0,	//44  const KCModuleInfo&
    280, 182, 0,	//46  const KCModuleInfo&, QWidget*
    329, 182, 0,	//49  const QString&, QWidget*
    284, 0,	//52  const KSharedPtr<KService>&
    284, 182, 0,	//54  const KSharedPtr<KService>&, QWidget*
    329, 330, 0,	//57  const QString&, const QStringList&
    280, 32, 330, 0,	//60  const KCModuleInfo&, KPageWidgetItem*, const QStringList&
    74, 0,	//64  QFlags<KDialog::ButtonCode>
    288, 0,	//66  const QByteArray&
    31, 182, 107, 0,	//68  KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    9, 31, 182, 107, 0,	//72  KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>
    280, 32, 0,	//77  const KCModuleInfo&, KPageWidgetItem*
    31, 182, 0,	//80  KPageWidget*, QWidget*
    9, 31, 182, 0,	//83  KCMultiDialogPrivate&, KPageWidget*, QWidget*
    329, 277, 0,	//87  const QString&, bool
    113, 0,	//90  QHideEvent*
    59, 0,	//92  QCloseEvent*
    119, 0,	//94  QKeyEvent*
    343, 0,	//96  int
    282, 0,	//98  const KEmoticonsTheme&
    329, 284, 0,	//100  const QString&, const KSharedPtr<KService>&
    76, 0,	//103  QFlags<KEmoticonsTheme::ParseModeEnum>
    134, 0,	//105  QObject*
    329, 329, 18, 0,	//107  const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption
    163, 167, 0,	//111  QString, QStringList
    163, 0,	//114  QString
    329, 329, 0,	//116  const QString&, const QString&
    343, 343, 0,	//119  int, int
    329, 329, 329, 42, 0,	//122  const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>
    281, 329, 329, 285, 0,	//127  const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    303, 35, 329, 329, 285, 0,	//132  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&
    329, 329, 329, 0,	//138  const QString&, const QString&, const QString&
    281, 0,	//142  const KComponentData&
    281, 329, 0,	//144  const KComponentData&, const QString&
    281, 329, 329, 0,	//147  const KComponentData&, const QString&, const QString&
    303, 0,	//151  const QList<KPluginInfo>&
    303, 35, 0,	//153  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod
    303, 35, 329, 0,	//156  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&
    303, 35, 329, 329, 0,	//160  const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&
    150, 182, 0,	//165  QPrinter*, QWidget*
    150, 0,	//168  QPrinter*
    330, 182, 0,	//170  const QStringList&, QWidget*
    330, 0,	//173  const QStringList&
    281, 182, 304, 0,	//175  const KComponentData&, QWidget*, const QList<QVariant>&
    281, 182, 0,	//179  const KComponentData&, QWidget*
    156, 0,	//182  QResizeEvent*
    61, 0,	//184  QContextMenuEvent*
    134, 70, 0,	//186  QObject*, QEvent*
    204, 343, 0,	//189  Qt::DockWidgetArea, int
    314, 341, 0,	//192  const QPoint&, double
    228, 101, 0,	//195  Qt::MouseButton, QFlags<Qt::MouseButton>
    305, 305, 0,	//198  const QMargins&, const QMargins&
    324, 342, 0,	//201  const QSize&, float
    63, 116, 0,	//204  QDataStream&, QImage&
    63, 327, 0,	//207  QDataStream&, const QSizePolicy&
    217, 343, 0,	//210  Qt::InputMethodHint, int
    27, 27, 0,	//213  KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption
    319, 319, 0,	//216  const QRect&, const QRect&
    324, 324, 0,	//219  const QSize&, const QSize&
    63, 334, 0,	//222  QDataStream&, const QTransform&
    63, 283, 0,	//225  QDataStream&, const KServiceAction&
    316, 306, 0,	//228  const QPointF&, const QMatrix&
    300, 334, 0,	//231  const QLine&, const QTransform&
    20, 343, 0,	//234  KEmoticonsTheme::ParseModeEnum, int
    254, 106, 0,	//237  Qt::WindowState, QFlags<Qt::WindowState>
    63, 300, 0,	//240  QDataStream&, const QLine&
    326, 326, 0,	//243  const QSizeF&, const QSizeF&
    28, 79, 0,	//246  KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>
    288, 288, 0,	//249  const QByteArray&, const QByteArray&
    299, 332, 0,	//252  const QLatin1String&, const QStringRef&
    228, 228, 0,	//255  Qt::MouseButton, Qt::MouseButton
    46, 81, 0,	//258  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    46, 46, 0,	//261  KUrl::CleanPathOption, KUrl::CleanPathOption
    336, 338, 0,	//264  const QVariant&, const QVariantComparisonHelper&
    20, 20, 0,	//267  KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum
    52, 52, 0,	//270  QBool, QBool
    13, 343, 0,	//273  KConfigBase::WriteConfigFlag, int
    184, 92, 0,	//276  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    165, 165, 0,	//279  QString::Null, QString::Null
    63, 38, 0,	//282  QDataStream&, KServiceAction&
    63, 320, 0,	//285  QDataStream&, const QRectF&
    56, 329, 0,	//288  QChar, const QString&
    114, 86, 0,	//291  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    14, 14, 0,	//294  KDialog::ButtonCode, KDialog::ButtonCode
    63, 311, 0,	//297  QDataStream&, const QPalette&
    23, 0,	//300  KIconLoader::Group&
    63, 288, 0,	//302  QDataStream&, const QByteArray&
    318, 334, 0,	//305  const QPolygonF&, const QTransform&
    245, 245, 0,	//308  Qt::ToolBarArea, Qt::ToolBarArea
    50, 343, 0,	//311  KUrl::QueryItemsOption, int
    183, 343, 0,	//314  QWidget::RenderFlag, int
    206, 343, 0,	//317  Qt::DropAction, int
    63, 330, 0,	//320  QDataStream&, const QStringList&
    48, 48, 0,	//323  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    12, 72, 0,	//326  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    184, 184, 0,	//329  Qt::AlignmentFlag, Qt::AlignmentFlag
    63, 60, 0,	//332  QDataStream&, QColor&
    63, 321, 0,	//335  QDataStream&, const QRegExp&
    177, 343, 0,	//338  QUrl::FormattingOption, int
    288, 339, 0,	//341  const QByteArray&, const char*
    47, 47, 0,	//344  KUrl::DirectoryOption, KUrl::DirectoryOption
    204, 93, 0,	//347  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    15, 15, 0,	//350  KDialog::CaptionFlag, KDialog::CaptionFlag
    300, 306, 0,	//353  const QLine&, const QMatrix&
    47, 82, 0,	//356  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    301, 306, 0,	//359  const QLineF&, const QMatrix&
    230, 230, 0,	//362  Qt::Orientation, Qt::Orientation
    245, 343, 0,	//365  Qt::ToolBarArea, int
    310, 306, 0,	//368  const QPainterPath&, const QMatrix&
    63, 145, 0,	//371  QDataStream&, QPointF&
    226, 343, 0,	//374  Qt::MatchFlag, int
    63, 298, 0,	//377  QDataStream&, const QKeySequence&
    63, 291, 0,	//380  QDataStream&, const QCursor&
    211, 211, 0,	//383  Qt::GestureFlag, Qt::GestureFlag
    63, 64, 0,	//386  QDataStream&, QDate&
    114, 114, 0,	//389  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    278, 288, 0,	//392  char, const QByteArray&
    339, 288, 0,	//395  const char*, const QByteArray&
    63, 55, 0,	//398  QDataStream&, QByteArray&
    63, 179, 0,	//401  QDataStream&, QVariant&
    14, 343, 0,	//404  KDialog::ButtonCode, int
    63, 153, 0,	//407  QDataStream&, QRegExp&
    316, 316, 0,	//410  const QPointF&, const QPointF&
    26, 77, 0,	//413  KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>
    332, 332, 0,	//416  const QStringRef&, const QStringRef&
    56, 56, 0,	//419  QChar, QChar
    310, 334, 0,	//422  const QPainterPath&, const QTransform&
    63, 286, 0,	//425  QDataStream&, const QBrush&
    14, 74, 0,	//428  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    27, 343, 0,	//431  KLocale::DateTimeFormatOption, int
    63, 155, 0,	//434  QDataStream&, QRegion&
    48, 343, 0,	//437  KUrl::EncodedPathAndQueryOption, int
    63, 292, 0,	//440  QDataStream&, const QDate&
    226, 100, 0,	//443  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    211, 343, 0,	//446  Qt::GestureFlag, int
    162, 162, 0,	//449  QSizePolicy::ControlType, QSizePolicy::ControlType
    63, 62, 0,	//452  QDataStream&, QCursor&
    223, 99, 0,	//455  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    226, 226, 0,	//458  Qt::MatchFlag, Qt::MatchFlag
    63, 175, 0,	//461  QDataStream&, QTransform&
    317, 306, 0,	//464  const QPolygon&, const QMatrix&
    329, 165, 0,	//467  const QString&, QString::Null
    3, 71, 0,	//470  KCModule::Button, QFlags<KCModule::Button>
    121, 343, 0,	//473  QLibrary::LoadHint, int
    63, 160, 0,	//476  QDataStream&, QSizeF&
    316, 0,	//479  const QPointF&
    220, 220, 0,	//481  Qt::ItemFlag, Qt::ItemFlag
    63, 312, 0,	//484  QDataStream&, const QPixmap&
    255, 107, 0,	//487  Qt::WindowType, QFlags<Qt::WindowType>
    316, 334, 0,	//490  const QPointF&, const QTransform&
    220, 98, 0,	//493  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    248, 105, 0,	//496  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    63, 335, 0,	//499  QDataStream&, const QUrl&
    162, 88, 0,	//502  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    339, 339, 339, 0,	//505  const char*, const char*, const char*
    63, 336, 0,	//509  QDataStream&, const QVariant&
    63, 123, 0,	//512  QDataStream&, QLine&
    223, 223, 0,	//515  Qt::KeyboardModifier, Qt::KeyboardModifier
    184, 343, 0,	//518  Qt::AlignmentFlag, int
    223, 343, 0,	//521  Qt::KeyboardModifier, int
    314, 306, 0,	//524  const QPoint&, const QMatrix&
    220, 343, 0,	//527  Qt::ItemFlag, int
    29, 29, 0,	//530  KLocale::TimeProcessingOption, KLocale::TimeProcessingOption
    215, 96, 0,	//533  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    314, 314, 0,	//536  const QPoint&, const QPoint&
    166, 343, 0,	//539  QString::SectionFlag, int
    255, 343, 0,	//542  Qt::WindowType, int
    183, 183, 0,	//545  QWidget::RenderFlag, QWidget::RenderFlag
    332, 329, 0,	//548  const QStringRef&, const QString&
    295, 295, 0,	//551  const QHashDummyValue&, const QHashDummyValue&
    49, 49, 0,	//554  KUrl::EqualsOption, KUrl::EqualsOption
    177, 177, 0,	//557  QUrl::FormattingOption, QUrl::FormattingOption
    334, 342, 0,	//560  const QTransform&, float
    63, 115, 0,	//563  QDataStream&, QIcon&
    63, 317, 0,	//566  QDataStream&, const QPolygon&
    248, 343, 0,	//569  Qt::TouchPointState, int
    15, 75, 0,	//572  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    183, 91, 0,	//575  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    332, 339, 0,	//578  const QStringRef&, const char*
    46, 343, 0,	//581  KUrl::CleanPathOption, int
    50, 50, 0,	//584  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    13, 13, 0,	//587  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    12, 343, 0,	//590  KConfig::OpenFlag, int
    63, 301, 0,	//593  QDataStream&, const QLineF&
    63, 53, 0,	//596  QDataStream&, QBrush&
    63, 316, 0,	//599  QDataStream&, const QPointF&
    314, 342, 0,	//602  const QPoint&, float
    28, 28, 0,	//605  KLocale::TimeFormatOption, KLocale::TimeFormatOption
    329, 332, 0,	//608  const QString&, const QStringRef&
    342, 316, 0,	//611  float, const QPointF&
    49, 343, 0,	//614  KUrl::EqualsOption, int
    342, 324, 0,	//617  float, const QSize&
    15, 343, 0,	//620  KDialog::CaptionFlag, int
    162, 343, 0,	//623  QSizePolicy::ControlType, int
    63, 161, 0,	//626  QDataStream&, QSizePolicy&
    339, 332, 0,	//629  const char*, const QStringRef&
    228, 343, 0,	//632  Qt::MouseButton, int
    63, 130, 0,	//635  QDataStream&, QMatrix&
    63, 159, 0,	//638  QDataStream&, QSize&
    217, 217, 0,	//641  Qt::InputMethodHint, Qt::InputMethodHint
    29, 80, 0,	//644  KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>
    63, 180, 0,	//647  QDataStream&, QVariant::Type&
    242, 103, 0,	//650  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    326, 342, 0,	//653  const QSizeF&, float
    301, 334, 0,	//656  const QLineF&, const QTransform&
    332, 299, 0,	//659  const QStringRef&, const QLatin1String&
    63, 318, 0,	//662  QDataStream&, const QPolygonF&
    63, 326, 0,	//665  QDataStream&, const QSizeF&
    245, 104, 0,	//668  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    63, 294, 0,	//671  QDataStream&, const QFont&
    49, 84, 0,	//674  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    29, 343, 0,	//677  KLocale::TimeProcessingOption, int
    63, 306, 0,	//680  QDataStream&, const QMatrix&
    121, 121, 0,	//683  QLibrary::LoadHint, QLibrary::LoadHint
    254, 254, 0,	//686  Qt::WindowState, Qt::WindowState
    177, 90, 0,	//689  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    63, 149, 0,	//692  QDataStream&, QPolygonF&
    63, 310, 0,	//695  QDataStream&, const QPainterPath&
    63, 140, 0,	//698  QDataStream&, QPalette&
    320, 320, 0,	//701  const QRectF&, const QRectF&
    3, 3, 0,	//704  KCModule::Button, KCModule::Button
    341, 314, 0,	//707  double, const QPoint&
    63, 314, 0,	//710  QDataStream&, const QPoint&
    63, 297, 0,	//713  QDataStream&, const QImage&
    288, 278, 0,	//716  const QByteArray&, char
    63, 109, 0,	//719  QDataStream&, QFont&
    166, 89, 0,	//722  QString::SectionFlag, QFlags<QString::SectionFlag>
    63, 324, 0,	//725  QDataStream&, const QSize&
    27, 78, 0,	//728  KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>
    63, 152, 0,	//731  QDataStream&, QRectF&
    63, 289, 0,	//734  QDataStream&, const QChar&
    277, 52, 0,	//737  bool, QBool
    50, 85, 0,	//740  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    317, 334, 0,	//743  const QPolygon&, const QTransform&
    52, 277, 0,	//746  QBool, bool
    254, 343, 0,	//749  Qt::WindowState, int
    63, 168, 0,	//752  QDataStream&, QStringList&
    63, 319, 0,	//755  QDataStream&, const QRect&
    47, 343, 0,	//758  KUrl::DirectoryOption, int
    316, 342, 0,	//761  const QPointF&, float
    204, 204, 0,	//764  Qt::DockWidgetArea, Qt::DockWidgetArea
    63, 322, 0,	//767  QDataStream&, const QRegion&
    26, 26, 0,	//770  KLocale::DateTimeComponent, KLocale::DateTimeComponent
    63, 290, 0,	//773  QDataStream&, const QColor&
    255, 255, 0,	//776  Qt::WindowType, Qt::WindowType
    165, 329, 0,	//779  QString::Null, const QString&
    217, 97, 0,	//782  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    12, 12, 0,	//785  KConfig::OpenFlag, KConfig::OpenFlag
    63, 143, 0,	//788  QDataStream&, QPoint&
    63, 65, 0,	//791  QDataStream&, QDateTime&
    63, 333, 0,	//794  QDataStream&, const QTime&
    63, 120, 0,	//797  QDataStream&, QKeySequence&
    342, 326, 0,	//800  float, const QSizeF&
    28, 343, 0,	//803  KLocale::TimeFormatOption, int
    322, 334, 0,	//806  const QRegion&, const QTransform&
    3, 343, 0,	//809  KCModule::Button, int
    166, 166, 0,	//812  QString::SectionFlag, QString::SectionFlag
    114, 343, 0,	//815  QIODevice::OpenModeFlag, int
    343, 314, 0,	//818  int, const QPoint&
    211, 95, 0,	//821  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    318, 306, 0,	//824  const QPolygonF&, const QMatrix&
    314, 0,	//827  const QPoint&
    63, 147, 0,	//829  QDataStream&, QPolygon&
    48, 83, 0,	//832  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    63, 164, 0,	//835  QDataStream&, QString&
    63, 329, 0,	//838  QDataStream&, const QString&
    63, 57, 0,	//841  QDataStream&, QChar&
    242, 242, 0,	//844  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    63, 141, 0,	//847  QDataStream&, QPixmap&
    20, 76, 0,	//850  KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>
    13, 73, 0,	//853  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    63, 151, 0,	//856  QDataStream&, QRect&
    26, 343, 0,	//859  KLocale::DateTimeComponent, int
    215, 343, 0,	//862  Qt::ImageConversionFlag, int
    63, 296, 0,	//865  QDataStream&, const QIcon&
    63, 337, 0,	//868  QDataStream&, const QVariant::Type
    63, 125, 0,	//871  QDataStream&, QLineF&
    63, 139, 0,	//874  QDataStream&, QPainterPath&
    248, 248, 0,	//877  Qt::TouchPointState, Qt::TouchPointState
    242, 343, 0,	//880  Qt::TextInteractionFlag, int
    314, 334, 0,	//883  const QPoint&, const QTransform&
    63, 293, 0,	//886  QDataStream&, const QDateTime&
    63, 172, 0,	//889  QDataStream&, QTime&
    314, 343, 0,	//892  const QPoint&, int
    215, 215, 0,	//895  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    206, 94, 0,	//898  Qt::DropAction, QFlags<Qt::DropAction>
    206, 206, 0,	//901  Qt::DropAction, Qt::DropAction
    230, 343, 0,	//904  Qt::Orientation, int
    322, 306, 0,	//907  const QRegion&, const QMatrix&
    342, 314, 0,	//910  float, const QPoint&
    63, 176, 0,	//913  QDataStream&, QUrl&
    121, 87, 0,	//916  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    329, 56, 0,	//919  const QString&, QChar
    230, 102, 0,	//922  Qt::Orientation, QFlags<Qt::Orientation>
    23, 343, 0,	//925  KIconLoader::Group&, int
    70, 0,	//928  QEvent*
    173, 0,	//930  QTimerEvent*
    58, 0,	//932  QChildEvent*
    132, 0,	//934  QMouseEvent*
    181, 0,	//936  QWheelEvent*
    108, 0,	//938  QFocusEvent*
    137, 0,	//940  QPaintEvent*
    133, 0,	//942  QMoveEvent*
    171, 0,	//944  QTabletEvent*
    51, 0,	//946  QActionEvent*
    66, 0,	//948  QDragEnterEvent*
    68, 0,	//950  QDragMoveEvent*
    67, 0,	//952  QDragLeaveEvent*
    69, 0,	//954  QDropEvent*
    276, 0,	//956  _XEvent*
    135, 0,	//958  QPaintDevice::PaintDeviceMetric
    118, 0,	//960  QInputMethodEvent*
    218, 0,	//962  Qt::InputMethodQuery
    170, 0,	//964  QStyle&
    311, 0,	//966  const QPalette&
    294, 0,	//968  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AppNameCaption",	//2
    "Apply",	//3
    "Cancel",	//4
    "Close",	//5
    "Copy",	//6
    "Default",	//7
    "DelayedPopup",	//8
    "Details",	//9
    "Dialog",	//10
    "Dialog#",	//11
    "Dialog?",	//12
    "Dialog?#",	//13
    "DoNotCopy",	//14
    "DrawChildren",	//15
    "DrawWindowBackground",	//16
    "Export",	//17
    "HIGCompliantCaption",	//18
    "Help",	//19
    "IgnoreConfigFile",	//20
    "IgnoreMask",	//21
    "InstantPopup",	//22
    "KCModuleContainer",	//23
    "KCModuleContainer#",	//24
    "KCModuleContainer#$",	//25
    "KCModuleContainer#?",	//26
    "KCModuleProxy",	//27
    "KCModuleProxy#",	//28
    "KCModuleProxy##",	//29
    "KCModuleProxy##?",	//30
    "KCModuleProxy$",	//31
    "KCModuleProxy$#",	//32
    "KCModuleProxy$#?",	//33
    "KCModuleProxy?",	//34
    "KCModuleProxy?#",	//35
    "KCModuleProxy?#?",	//36
    "KCMultiDialog",	//37
    "KCMultiDialog#",	//38
    "KCMultiDialog##",	//39
    "KCMultiDialog###",	//40
    "KCMultiDialog###$",	//41
    "KCMultiDialog##$",	//42
    "KEmoticons",	//43
    "KEmoticonsProvider",	//44
    "KEmoticonsProvider#",	//45
    "KPluginSelector",	//46
    "KPluginSelector#",	//47
    "KPrintPreview",	//48
    "KPrintPreview#",	//49
    "KPrintPreview##",	//50
    "KST_CTimeInfo",	//51
    "KST_KCustom",	//52
    "KST_KDEDesktopMimeType",	//53
    "KST_KFolderMimeType",	//54
    "KST_KImageIO",	//55
    "KST_KImageIOFormat",	//56
    "KST_KMimeType",	//57
    "KST_KMimeTypeEntry",	//58
    "KST_KMimeTypeFactory",	//59
    "KST_KProtocolInfo",	//60
    "KST_KProtocolInfoFactory",	//61
    "KST_KService",	//62
    "KST_KServiceFactory",	//63
    "KST_KServiceGroup",	//64
    "KST_KServiceGroupFactory",	//65
    "KST_KServiceSeparator",	//66
    "KST_KServiceType",	//67
    "KST_KServiceTypeFactory",	//68
    "KST_KSycocaEntry",	//69
    "LicensedActiveQt",	//70
    "LicensedCore",	//71
    "LicensedDBus",	//72
    "LicensedDeclarative",	//73
    "LicensedGui",	//74
    "LicensedHelp",	//75
    "LicensedMultimedia",	//76
    "LicensedNetwork",	//77
    "LicensedOpenGL",	//78
    "LicensedOpenVG",	//79
    "LicensedQt3Support",	//80
    "LicensedQt3SupportLight",	//81
    "LicensedScript",	//82
    "LicensedScriptTools",	//83
    "LicensedSql",	//84
    "LicensedSvg",	//85
    "LicensedTest",	//86
    "LicensedXml",	//87
    "LicensedXmlPatterns",	//88
    "ModifiedCaption",	//89
    "No",	//90
    "NoAdditionalButton",	//91
    "NoCaptionFlags",	//92
    "NoDefault",	//93
    "None",	//94
    "Ok",	//95
    "PluginPage",	//96
    "PluginPage#",	//97
    "PluginPage##",	//98
    "PluginPage##?",	//99
    "Q_COMPLEX_TYPE",	//100
    "Q_DUMMY_TYPE",	//101
    "Q_MOVABLE_TYPE",	//102
    "Q_PRIMITIVE_TYPE",	//103
    "Q_STATIC_TYPE",	//104
    "QtCriticalMsg",	//105
    "QtDebugMsg",	//106
    "QtFatalMsg",	//107
    "QtSystemMsg",	//108
    "QtWarningMsg",	//109
    "ReadConfigFile",	//110
    "Rejected",	//111
    "Reset",	//112
    "Try",	//113
    "User1",	//114
    "User2",	//115
    "User3",	//116
    "Yes",	//117
    "aboutData",	//118
    "accept",	//119
    "actionEvent",	//120
    "addEmoticon",	//121
    "addEmoticon$$",	//122
    "addEmoticon$$$",	//123
    "addEmoticonIndex",	//124
    "addEmoticonIndex$?",	//125
    "addEmoticonsMap",	//126
    "addEmoticonsMap$?",	//127
    "addIdleTimeout",	//128
    "addIdleTimeout$",	//129
    "addModule",	//130
    "addModule#",	//131
    "addModule##",	//132
    "addModule##?",	//133
    "addModule$",	//134
    "addModule$?",	//135
    "addPluginInfos",	//136
    "addPluginInfos?",	//137
    "addPlugins",	//138
    "addPlugins#",	//139
    "addPlugins#$",	//140
    "addPlugins#$$",	//141
    "addPlugins#$$?",	//142
    "addPlugins$",	//143
    "addPlugins$$",	//144
    "addPlugins$$$",	//145
    "addPlugins$$$?",	//146
    "addPlugins?",	//147
    "addPlugins?$",	//148
    "addPlugins?$$",	//149
    "addPlugins?$$$",	//150
    "addPlugins?$$$?",	//151
    "allModules",	//152
    "allowComponentSelection",	//153
    "buttons",	//154
    "catchNextResumeEvent",	//155
    "changeEvent",	//156
    "changed",	//157
    "changed#",	//158
    "changed$",	//159
    "changedModules",	//160
    "childClosed",	//161
    "childEvent",	//162
    "clear",	//163
    "clearEmoticonsMap",	//164
    "closeEvent",	//165
    "componentData",	//166
    "configCommitted",	//167
    "configCommitted#",	//168
    "connectNotify",	//169
    "contextMenuEvent",	//170
    "createNew",	//171
    "currentThemeName",	//172
    "customEvent",	//173
    "dbusPath",	//174
    "dbusService",	//175
    "defaults",	//176
    "deleteClient",	//177
    "devType",	//178
    "disconnectNotify",	//179
    "done",	//180
    "dragEnterEvent",	//181
    "dragLeaveEvent",	//182
    "dragMoveEvent",	//183
    "dropEvent",	//184
    "emoticonsIndex",	//185
    "emoticonsMap",	//186
    "enabledChange",	//187
    "enterEvent",	//188
    "event",	//189
    "eventFilter",	//190
    "fileName",	//191
    "focusInEvent",	//192
    "focusNextPrevChild",	//193
    "focusOutEvent",	//194
    "fontChange",	//195
    "heightForWidth",	//196
    "hideEvent",	//197
    "i18n",	//198
    "i18n$",	//199
    "i18nc",	//200
    "i18nc$$",	//201
    "idleTime",	//202
    "idleTimeouts",	//203
    "inputMethodEvent",	//204
    "inputMethodQuery",	//205
    "installTheme",	//206
    "installTheme$",	//207
    "instance",	//208
    "isAvailable",	//209
    "isDefault",	//210
    "keyPressEvent",	//211
    "keyReleaseEvent",	//212
    "ki18n",	//213
    "ki18n$",	//214
    "ki18nc",	//215
    "ki18nc$$",	//216
    "ki18ncp",	//217
    "ki18ncp$$$",	//218
    "ki18np",	//219
    "ki18np$$",	//220
    "languageChange",	//221
    "leaveEvent",	//222
    "load",	//223
    "loadTheme",	//224
    "loadTheme$",	//225
    "metaObject",	//226
    "metric",	//227
    "minimumSizeHint",	//228
    "moduleInfo",	//229
    "mouseDoubleClickEvent",	//230
    "mouseMoveEvent",	//231
    "mousePressEvent",	//232
    "mouseReleaseEvent",	//233
    "moveEvent",	//234
    "newTheme",	//235
    "newTheme$?",	//236
    "operator!=",	//237
    "operator!=##",	//238
    "operator!=#$",	//239
    "operator!=$#",	//240
    "operator*",	//241
    "operator*##",	//242
    "operator*#$",	//243
    "operator*$#",	//244
    "operator+",	//245
    "operator+##",	//246
    "operator+#$",	//247
    "operator+$#",	//248
    "operator+$$",	//249
    "operator++",	//250
    "operator++$",	//251
    "operator++$$",	//252
    "operator-",	//253
    "operator-#",	//254
    "operator-##",	//255
    "operator-#$",	//256
    "operator/",	//257
    "operator/#$",	//258
    "operator<",	//259
    "operator<##",	//260
    "operator<#$",	//261
    "operator<$#",	//262
    "operator<<",	//263
    "operator<<##",	//264
    "operator<<#$",	//265
    "operator<<#?",	//266
    "operator<=",	//267
    "operator<=##",	//268
    "operator<=#$",	//269
    "operator<=$#",	//270
    "operator==",	//271
    "operator==##",	//272
    "operator==#$",	//273
    "operator==$#",	//274
    "operator>",	//275
    "operator>##",	//276
    "operator>#$",	//277
    "operator>$#",	//278
    "operator>=",	//279
    "operator>=##",	//280
    "operator>=#$",	//281
    "operator>=$#",	//282
    "operator>>",	//283
    "operator>>##",	//284
    "operator>>#$",	//285
    "operator>>#?",	//286
    "operator|",	//287
    "operator|$$",	//288
    "paintEngine",	//289
    "paintEvent",	//290
    "paletteChange",	//291
    "parseMode",	//292
    "pluginInfos",	//293
    "pluginSelectionChanged",	//294
    "pluginSelector",	//295
    "qt_metacall",	//296
    "qt_metacall$$?",	//297
    "qt_metacast",	//298
    "qt_metacast$",	//299
    "quickHelp",	//300
    "quickHelpChanged",	//301
    "realModule",	//302
    "reject",	//303
    "removeAllIdleTimeouts",	//304
    "removeEmoticon",	//305
    "removeEmoticon$",	//306
    "removeEmoticonIndex",	//307
    "removeEmoticonIndex$?",	//308
    "removeEmoticonsMap",	//309
    "removeEmoticonsMap$",	//310
    "removeIdleTimeout",	//311
    "removeIdleTimeout$",	//312
    "resizeEvent",	//313
    "resumingFromIdle",	//314
    "rootOnlyMessage",	//315
    "save",	//316
    "setAllModules",	//317
    "setAllModules?",	//318
    "setAllowComponentSelection",	//319
    "setAllowComponentSelection$",	//320
    "setButtons",	//321
    "setButtons$",	//322
    "setCaption",	//323
    "setChangedModules",	//324
    "setChangedModules?",	//325
    "setComponentBlacklist",	//326
    "setComponentBlacklist?",	//327
    "setKCMArguments",	//328
    "setKCMArguments?",	//329
    "setParseMode",	//330
    "setParseMode$",	//331
    "setPlainCaption",	//332
    "setTheme",	//333
    "setTheme#",	//334
    "setTheme$",	//335
    "setThemeName",	//336
    "setThemeName$",	//337
    "setVisible",	//338
    "showEvent",	//339
    "showEvent#",	//340
    "simulateUserActivity",	//341
    "sizeHint",	//342
    "slotApplyClicked",	//343
    "slotButtonClicked",	//344
    "slotDefaultClicked",	//345
    "slotHelpClicked",	//346
    "slotOkClicked",	//347
    "slotUser1Clicked",	//348
    "staticMetaObject",	//349
    "stopCatchingResumeEvent",	//350
    "styleChange",	//351
    "tabletEvent",	//352
    "theme",	//353
    "theme$",	//354
    "themeList",	//355
    "themeName",	//356
    "themePath",	//357
    "timeoutReached",	//358
    "timeoutReached$",	//359
    "timeoutReached$$",	//360
    "timerEvent",	//361
    "tr",	//362
    "tr$",	//363
    "tr$$",	//364
    "tr$$$",	//365
    "tr2i18n",	//366
    "tr2i18n$",	//367
    "tr2i18n$$",	//368
    "trUtf8",	//369
    "trUtf8$",	//370
    "trUtf8$$",	//371
    "trUtf8$$$",	//372
    "updatePluginsState",	//373
    "useRootOnlyMessage",	//374
    "wheelEvent",	//375
    "windowActivationChange",	//376
    "x11Event",	//377
    "~Dialog",	//378
    "~KCModuleContainer",	//379
    "~KCModuleProxy",	//380
    "~KCMultiDialog",	//381
    "~KEmoticons",	//382
    "~KEmoticonsProvider",	//383
    "~KIdleTime",	//384
    "~KPluginSelector",	//385
    "~KPrintPreview",	//386
    "~PluginPage",	//387
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {3, 300, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//1 KCModule::quickHelp() const
    {3, 118, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 279, 0},	//2 KCModule::aboutData() const
    {3, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//3 KCModule::showEvent(QShowEvent*)
    {3, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 4},	//4 KCModule::NoAdditionalButton (enum)
    {3, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 5},	//5 KCModule::Help (enum)
    {3, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 6},	//6 KCModule::Default (enum)
    {3, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 7},	//7 KCModule::Apply (enum)
    {3, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 8},	//8 KCModule::Export (enum)
    {4, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//9 KCModuleContainer::metaObject() const
    {4, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//10 KCModuleContainer::qt_metacast(const char*)
    {4, 362, 5, 2, Smoke::mf_static, 163, 3},	//11 KCModuleContainer::tr(const char*, const char*)
    {4, 369, 5, 2, Smoke::mf_static, 163, 4},	//12 KCModuleContainer::trUtf8(const char*, const char*)
    {4, 362, 8, 3, Smoke::mf_static, 163, 5},	//13 KCModuleContainer::tr(const char*, const char*, int)
    {4, 369, 8, 3, Smoke::mf_static, 163, 6},	//14 KCModuleContainer::trUtf8(const char*, const char*, int)
    {4, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//15 KCModuleContainer::qt_metacall(QMetaObject::Call, int, void**)
    {4, 23, 16, 2, Smoke::mf_ctor, 4, 8},	//16 KCModuleContainer::KCModuleContainer(QWidget*, const QStringList&)
    {4, 23, 19, 2, Smoke::mf_ctor, 4, 9},	//17 KCModuleContainer::KCModuleContainer(QWidget*, const QString&)
    {4, 130, 22, 1, 0, 0, 10},	//18 KCModuleContainer::addModule(const QString&)
    {4, 316, 0, 0, Smoke::mf_virtual, 0, 11},	//19 KCModuleContainer::save()
    {4, 223, 0, 0, Smoke::mf_virtual, 0, 12},	//20 KCModuleContainer::load()
    {4, 176, 0, 0, Smoke::mf_virtual, 0, 13},	//21 KCModuleContainer::defaults()
    {4, 362, 3, 1, Smoke::mf_static, 163, 14},	//22 KCModuleContainer::tr(const char*)
    {4, 369, 3, 1, Smoke::mf_static, 163, 15},	//23 KCModuleContainer::trUtf8(const char*)
    {4, 23, 24, 1, Smoke::mf_ctor, 4, 16},	//24 KCModuleContainer::KCModuleContainer(QWidget*)
    {4, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 17},	//25 KCModuleContainer::staticMetaObject() const
    {4, 160, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 127, 18},	//26 KCModuleContainer::changedModules() const
    {4, 324, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 19},	//27 KCModuleContainer::setChangedModules(const QList<KCModuleProxy*>&)
    {4, 152, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_attribute, 127, 20},	//28 KCModuleContainer::allModules() const
    {4, 317, 26, 1, Smoke::mf_protected|Smoke::mf_attribute, 0, 21},	//29 KCModuleContainer::setAllModules(const QList<KCModuleProxy*>&)
    {4, 379, 0, 0, Smoke::mf_dtor, 0, 22 },	//30 KCModuleContainer::~KCModuleContainer()
    {6, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//31 KCModuleProxy::metaObject() const
    {6, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//32 KCModuleProxy::qt_metacast(const char*)
    {6, 362, 5, 2, Smoke::mf_static, 163, 3},	//33 KCModuleProxy::tr(const char*, const char*)
    {6, 369, 5, 2, Smoke::mf_static, 163, 4},	//34 KCModuleProxy::trUtf8(const char*, const char*)
    {6, 362, 8, 3, Smoke::mf_static, 163, 5},	//35 KCModuleProxy::tr(const char*, const char*, int)
    {6, 369, 8, 3, Smoke::mf_static, 163, 6},	//36 KCModuleProxy::trUtf8(const char*, const char*, int)
    {6, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//37 KCModuleProxy::qt_metacall(QMetaObject::Call, int, void**)
    {6, 27, 28, 3, Smoke::mf_ctor, 7, 8},	//38 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*, const QStringList&)
    {6, 27, 32, 3, Smoke::mf_ctor, 7, 9},	//39 KCModuleProxy::KCModuleProxy(const QString&, QWidget*, const QStringList&)
    {6, 27, 36, 3, Smoke::mf_ctor, 7, 10},	//40 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*, const QStringList&)
    {6, 223, 0, 0, 0, 0, 11},	//41 KCModuleProxy::load()
    {6, 316, 0, 0, 0, 0, 12},	//42 KCModuleProxy::save()
    {6, 300, 0, 0, Smoke::mf_const, 163, 13},	//43 KCModuleProxy::quickHelp() const
    {6, 118, 0, 0, Smoke::mf_const, 279, 14},	//44 KCModuleProxy::aboutData() const
    {6, 154, 0, 0, Smoke::mf_const, 71, 15},	//45 KCModuleProxy::buttons() const
    {6, 315, 0, 0, Smoke::mf_const, 163, 16},	//46 KCModuleProxy::rootOnlyMessage() const
    {6, 374, 0, 0, Smoke::mf_const, 277, 17},	//47 KCModuleProxy::useRootOnlyMessage() const
    {6, 166, 0, 0, Smoke::mf_const, 11, 18},	//48 KCModuleProxy::componentData() const
    {6, 157, 0, 0, Smoke::mf_const, 277, 19},	//49 KCModuleProxy::changed() const
    {6, 302, 0, 0, Smoke::mf_const, 2, 20},	//50 KCModuleProxy::realModule() const
    {6, 229, 0, 0, Smoke::mf_const, 5, 21},	//51 KCModuleProxy::moduleInfo() const
    {6, 175, 0, 0, Smoke::mf_const, 163, 22},	//52 KCModuleProxy::dbusService() const
    {6, 174, 0, 0, Smoke::mf_const, 163, 23},	//53 KCModuleProxy::dbusPath() const
    {6, 228, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 24},	//54 KCModuleProxy::minimumSizeHint() const
    {6, 176, 0, 0, Smoke::mf_slot, 0, 25},	//55 KCModuleProxy::defaults()
    {6, 177, 0, 0, Smoke::mf_slot, 0, 26},	//56 KCModuleProxy::deleteClient()
    {6, 157, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//57 KCModuleProxy::changed(bool)
    {6, 157, 42, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//58 KCModuleProxy::changed(KCModuleProxy*)
    {6, 161, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//59 KCModuleProxy::childClosed()
    {6, 301, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//60 KCModuleProxy::quickHelpChanged()
    {6, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 31},	//61 KCModuleProxy::showEvent(QShowEvent*)
    {6, 362, 3, 1, Smoke::mf_static, 163, 32},	//62 KCModuleProxy::tr(const char*)
    {6, 369, 3, 1, Smoke::mf_static, 163, 33},	//63 KCModuleProxy::trUtf8(const char*)
    {6, 27, 44, 1, Smoke::mf_ctor, 7, 34},	//64 KCModuleProxy::KCModuleProxy(const KCModuleInfo&)
    {6, 27, 46, 2, Smoke::mf_ctor, 7, 35},	//65 KCModuleProxy::KCModuleProxy(const KCModuleInfo&, QWidget*)
    {6, 27, 22, 1, Smoke::mf_ctor, 7, 36},	//66 KCModuleProxy::KCModuleProxy(const QString&)
    {6, 27, 49, 2, Smoke::mf_ctor, 7, 37},	//67 KCModuleProxy::KCModuleProxy(const QString&, QWidget*)
    {6, 27, 52, 1, Smoke::mf_ctor, 7, 38},	//68 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&)
    {6, 27, 54, 2, Smoke::mf_ctor, 7, 39},	//69 KCModuleProxy::KCModuleProxy(const KSharedPtr<KService>&, QWidget*)
    {6, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 40},	//70 KCModuleProxy::staticMetaObject() const
    {6, 380, 0, 0, Smoke::mf_dtor, 0, 41 },	//71 KCModuleProxy::~KCModuleProxy()
    {7, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//72 KCMultiDialog::metaObject() const
    {7, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//73 KCMultiDialog::qt_metacast(const char*)
    {7, 362, 5, 2, Smoke::mf_static, 163, 3},	//74 KCMultiDialog::tr(const char*, const char*)
    {7, 369, 5, 2, Smoke::mf_static, 163, 4},	//75 KCMultiDialog::trUtf8(const char*, const char*)
    {7, 362, 8, 3, Smoke::mf_static, 163, 5},	//76 KCMultiDialog::tr(const char*, const char*, int)
    {7, 369, 8, 3, Smoke::mf_static, 163, 6},	//77 KCMultiDialog::trUtf8(const char*, const char*, int)
    {7, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//78 KCMultiDialog::qt_metacall(QMetaObject::Call, int, void**)
    {7, 37, 24, 1, Smoke::mf_ctor, 8, 8},	//79 KCMultiDialog::KCMultiDialog(QWidget*)
    {7, 130, 57, 2, 0, 32, 9},	//80 KCMultiDialog::addModule(const QString&, const QStringList&)
    {7, 130, 60, 3, 0, 32, 10},	//81 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*, const QStringList&)
    {7, 163, 0, 0, 0, 0, 11},	//82 KCMultiDialog::clear()
    {7, 321, 64, 1, 0, 0, 12},	//83 KCMultiDialog::setButtons(QFlags<KDialog::ButtonCode>)
    {7, 167, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//84 KCMultiDialog::configCommitted()
    {7, 167, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//85 KCMultiDialog::configCommitted(const QByteArray&)
    {7, 37, 68, 3, Smoke::mf_ctor|Smoke::mf_protected, 8, 15},	//86 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {7, 37, 72, 4, Smoke::mf_ctor|Smoke::mf_protected, 8, 16},	//87 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*, QFlags<Qt::WindowType>)
    {7, 345, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 17},	//88 KCMultiDialog::slotDefaultClicked()
    {7, 348, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 18},	//89 KCMultiDialog::slotUser1Clicked()
    {7, 343, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 19},	//90 KCMultiDialog::slotApplyClicked()
    {7, 347, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 20},	//91 KCMultiDialog::slotOkClicked()
    {7, 346, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 21},	//92 KCMultiDialog::slotHelpClicked()
    {7, 362, 3, 1, Smoke::mf_static, 163, 22},	//93 KCMultiDialog::tr(const char*)
    {7, 369, 3, 1, Smoke::mf_static, 163, 23},	//94 KCMultiDialog::trUtf8(const char*)
    {7, 37, 0, 0, Smoke::mf_ctor, 8, 24},	//95 KCMultiDialog::KCMultiDialog()
    {7, 130, 22, 1, 0, 32, 25},	//96 KCMultiDialog::addModule(const QString&)
    {7, 130, 44, 1, 0, 32, 26},	//97 KCMultiDialog::addModule(const KCModuleInfo&)
    {7, 130, 77, 2, 0, 32, 27},	//98 KCMultiDialog::addModule(const KCModuleInfo&, KPageWidgetItem*)
    {7, 37, 80, 2, Smoke::mf_ctor|Smoke::mf_protected, 8, 28},	//99 KCMultiDialog::KCMultiDialog(KPageWidget*, QWidget*)
    {7, 37, 83, 3, Smoke::mf_ctor|Smoke::mf_protected, 8, 29},	//100 KCMultiDialog::KCMultiDialog(KCMultiDialogPrivate&, KPageWidget*, QWidget*)
    {7, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 30},	//101 KCMultiDialog::staticMetaObject() const
    {7, 381, 0, 0, Smoke::mf_dtor, 0, 31 },	//102 KCMultiDialog::~KCMultiDialog()
    {11, 342, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 0},	//103 KDialog::sizeHint() const
    {11, 228, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 158, 0},	//104 KDialog::minimumSizeHint() const
    {11, 323, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//105 KDialog::setCaption(const QString&)
    {11, 323, 87, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//106 KDialog::setCaption(const QString&, bool)
    {11, 332, 22, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//107 KDialog::setPlainCaption(const QString&)
    {11, 197, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//108 KDialog::hideEvent(QHideEvent*)
    {11, 165, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//109 KDialog::closeEvent(QCloseEvent*)
    {11, 211, 94, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//110 KDialog::keyPressEvent(QKeyEvent*)
    {11, 344, 96, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//111 KDialog::slotButtonClicked(int)
    {11, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 10},	//112 KDialog::None (enum)
    {11, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 11},	//113 KDialog::Help (enum)
    {11, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 12},	//114 KDialog::Default (enum)
    {11, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 13},	//115 KDialog::Ok (enum)
    {11, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 14},	//116 KDialog::Apply (enum)
    {11, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 15},	//117 KDialog::Try (enum)
    {11, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 16},	//118 KDialog::Cancel (enum)
    {11, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 17},	//119 KDialog::Close (enum)
    {11, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 18},	//120 KDialog::No (enum)
    {11, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 19},	//121 KDialog::Yes (enum)
    {11, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 20},	//122 KDialog::Reset (enum)
    {11, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 21},	//123 KDialog::Details (enum)
    {11, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 22},	//124 KDialog::User1 (enum)
    {11, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 23},	//125 KDialog::User2 (enum)
    {11, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 24},	//126 KDialog::User3 (enum)
    {11, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 14, 25},	//127 KDialog::NoDefault (enum)
    {11, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 26},	//128 KDialog::NoCaptionFlags (enum)
    {11, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 27},	//129 KDialog::AppNameCaption (enum)
    {11, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 28},	//130 KDialog::ModifiedCaption (enum)
    {11, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 29},	//131 KDialog::HIGCompliantCaption (enum)
    {12, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//132 KEmoticons::metaObject() const
    {12, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//133 KEmoticons::qt_metacast(const char*)
    {12, 362, 5, 2, Smoke::mf_static, 163, 3},	//134 KEmoticons::tr(const char*, const char*)
    {12, 369, 5, 2, Smoke::mf_static, 163, 4},	//135 KEmoticons::trUtf8(const char*, const char*)
    {12, 362, 8, 3, Smoke::mf_static, 163, 5},	//136 KEmoticons::tr(const char*, const char*, int)
    {12, 369, 8, 3, Smoke::mf_static, 163, 6},	//137 KEmoticons::trUtf8(const char*, const char*, int)
    {12, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//138 KEmoticons::qt_metacall(QMetaObject::Call, int, void**)
    {12, 43, 0, 0, Smoke::mf_ctor, 16, 8},	//139 KEmoticons::KEmoticons()
    {12, 353, 0, 0, 0, 19, 9},	//140 KEmoticons::theme()
    {12, 353, 22, 1, 0, 19, 10},	//141 KEmoticons::theme(const QString&)
    {12, 172, 0, 0, Smoke::mf_static, 163, 11},	//142 KEmoticons::currentThemeName()
    {12, 355, 0, 0, Smoke::mf_static, 167, 12},	//143 KEmoticons::themeList()
    {12, 333, 98, 1, Smoke::mf_static, 0, 13},	//144 KEmoticons::setTheme(const KEmoticonsTheme&)
    {12, 333, 22, 1, Smoke::mf_static, 0, 14},	//145 KEmoticons::setTheme(const QString&)
    {12, 235, 100, 2, 0, 19, 15},	//146 KEmoticons::newTheme(const QString&, const KSharedPtr<KService>&)
    {12, 206, 22, 1, 0, 167, 16},	//147 KEmoticons::installTheme(const QString&)
    {12, 330, 103, 1, Smoke::mf_static, 0, 17},	//148 KEmoticons::setParseMode(QFlags<KEmoticonsTheme::ParseModeEnum>)
    {12, 292, 0, 0, Smoke::mf_static, 76, 18},	//149 KEmoticons::parseMode()
    {12, 362, 3, 1, Smoke::mf_static, 163, 19},	//150 KEmoticons::tr(const char*)
    {12, 369, 3, 1, Smoke::mf_static, 163, 20},	//151 KEmoticons::trUtf8(const char*)
    {12, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 21},	//152 KEmoticons::staticMetaObject() const
    {12, 382, 0, 0, Smoke::mf_dtor, 0, 22 },	//153 KEmoticons::~KEmoticons()
    {13, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//154 KEmoticonsProvider::metaObject() const
    {13, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//155 KEmoticonsProvider::qt_metacast(const char*)
    {13, 362, 5, 2, Smoke::mf_static, 163, 3},	//156 KEmoticonsProvider::tr(const char*, const char*)
    {13, 369, 5, 2, Smoke::mf_static, 163, 4},	//157 KEmoticonsProvider::trUtf8(const char*, const char*)
    {13, 362, 8, 3, Smoke::mf_static, 163, 5},	//158 KEmoticonsProvider::tr(const char*, const char*, int)
    {13, 369, 8, 3, Smoke::mf_static, 163, 6},	//159 KEmoticonsProvider::trUtf8(const char*, const char*, int)
    {13, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//160 KEmoticonsProvider::qt_metacall(QMetaObject::Call, int, void**)
    {13, 44, 105, 1, Smoke::mf_ctor, 17, 8},	//161 KEmoticonsProvider::KEmoticonsProvider(QObject*)
    {13, 224, 22, 1, Smoke::mf_virtual, 277, 9},	//162 KEmoticonsProvider::loadTheme(const QString&)
    {13, 305, 22, 1, Smoke::mf_virtual, 277, 10},	//163 KEmoticonsProvider::removeEmoticon(const QString&)
    {13, 121, 107, 3, Smoke::mf_virtual, 277, 11},	//164 KEmoticonsProvider::addEmoticon(const QString&, const QString&, KEmoticonsProvider::AddEmoticonOption)
    {13, 316, 0, 0, Smoke::mf_virtual, 0, 12},	//165 KEmoticonsProvider::save()
    {13, 356, 0, 0, Smoke::mf_const, 163, 13},	//166 KEmoticonsProvider::themeName() const
    {13, 336, 22, 1, 0, 0, 14},	//167 KEmoticonsProvider::setThemeName(const QString&)
    {13, 357, 0, 0, Smoke::mf_const, 163, 15},	//168 KEmoticonsProvider::themePath() const
    {13, 191, 0, 0, Smoke::mf_const, 163, 16},	//169 KEmoticonsProvider::fileName() const
    {13, 186, 0, 0, Smoke::mf_const, 111, 17},	//170 KEmoticonsProvider::emoticonsMap() const
    {13, 185, 0, 0, Smoke::mf_const, 110, 18},	//171 KEmoticonsProvider::emoticonsIndex() const
    {13, 171, 0, 0, Smoke::mf_virtual, 0, 19},	//172 KEmoticonsProvider::createNew()
    {13, 164, 0, 0, Smoke::mf_protected, 0, 20},	//173 KEmoticonsProvider::clearEmoticonsMap()
    {13, 126, 111, 2, Smoke::mf_protected, 0, 21},	//174 KEmoticonsProvider::addEmoticonsMap(QString, QStringList)
    {13, 309, 114, 1, Smoke::mf_protected, 0, 22},	//175 KEmoticonsProvider::removeEmoticonsMap(QString)
    {13, 124, 57, 2, Smoke::mf_protected, 0, 23},	//176 KEmoticonsProvider::addEmoticonIndex(const QString&, const QStringList&)
    {13, 307, 57, 2, Smoke::mf_protected, 0, 24},	//177 KEmoticonsProvider::removeEmoticonIndex(const QString&, const QStringList&)
    {13, 362, 3, 1, Smoke::mf_static, 163, 25},	//178 KEmoticonsProvider::tr(const char*)
    {13, 369, 3, 1, Smoke::mf_static, 163, 26},	//179 KEmoticonsProvider::trUtf8(const char*)
    {13, 44, 0, 0, Smoke::mf_ctor, 17, 27},	//180 KEmoticonsProvider::KEmoticonsProvider()
    {13, 121, 116, 2, 0, 277, 28},	//181 KEmoticonsProvider::addEmoticon(const QString&, const QString&)
    {13, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 29},	//182 KEmoticonsProvider::staticMetaObject() const
    {13, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 30},	//183 KEmoticonsProvider::DoNotCopy (enum)
    {13, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 31},	//184 KEmoticonsProvider::Copy (enum)
    {13, 383, 0, 0, Smoke::mf_dtor, 0, 32 },	//185 KEmoticonsProvider::~KEmoticonsProvider()
    {15, 226, 0, 0, Smoke::mf_const, 308, 1},	//186 KIdleTime::metaObject() const
    {15, 298, 3, 1, 0, 346, 2},	//187 KIdleTime::qt_metacast(const char*)
    {15, 362, 5, 2, Smoke::mf_static, 163, 3},	//188 KIdleTime::tr(const char*, const char*)
    {15, 369, 5, 2, Smoke::mf_static, 163, 4},	//189 KIdleTime::trUtf8(const char*, const char*)
    {15, 362, 8, 3, Smoke::mf_static, 163, 5},	//190 KIdleTime::tr(const char*, const char*, int)
    {15, 369, 8, 3, Smoke::mf_static, 163, 6},	//191 KIdleTime::trUtf8(const char*, const char*, int)
    {15, 296, 12, 3, 0, 343, 7},	//192 KIdleTime::qt_metacall(QMetaObject::Call, int, void**)
    {15, 208, 0, 0, Smoke::mf_static, 24, 8},	//193 KIdleTime::instance()
    {15, 202, 0, 0, Smoke::mf_const, 343, 9},	//194 KIdleTime::idleTime() const
    {15, 203, 0, 0, Smoke::mf_const, 112, 10},	//195 KIdleTime::idleTimeouts() const
    {15, 341, 0, 0, 0, 0, 11},	//196 KIdleTime::simulateUserActivity()
    {15, 128, 96, 1, Smoke::mf_slot, 343, 12},	//197 KIdleTime::addIdleTimeout(int)
    {15, 311, 96, 1, Smoke::mf_slot, 0, 13},	//198 KIdleTime::removeIdleTimeout(int)
    {15, 304, 0, 0, Smoke::mf_slot, 0, 14},	//199 KIdleTime::removeAllIdleTimeouts()
    {15, 155, 0, 0, Smoke::mf_slot, 0, 15},	//200 KIdleTime::catchNextResumeEvent()
    {15, 350, 0, 0, Smoke::mf_slot, 0, 16},	//201 KIdleTime::stopCatchingResumeEvent()
    {15, 314, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//202 KIdleTime::resumingFromIdle()
    {15, 358, 96, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//203 KIdleTime::timeoutReached(int)
    {15, 358, 119, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//204 KIdleTime::timeoutReached(int, int)
    {15, 362, 3, 1, Smoke::mf_static, 163, 20},	//205 KIdleTime::tr(const char*)
    {15, 369, 3, 1, Smoke::mf_static, 163, 21},	//206 KIdleTime::trUtf8(const char*)
    {15, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 22},	//207 KIdleTime::staticMetaObject() const
    {15, 384, 0, 0, Smoke::mf_dtor, 0, 23 },	//208 KIdleTime::~KIdleTime()
    {22, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//209 KPluginSelector::metaObject() const
    {22, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//210 KPluginSelector::qt_metacast(const char*)
    {22, 362, 5, 2, Smoke::mf_static, 163, 3},	//211 KPluginSelector::tr(const char*, const char*)
    {22, 369, 5, 2, Smoke::mf_static, 163, 4},	//212 KPluginSelector::trUtf8(const char*, const char*)
    {22, 362, 8, 3, Smoke::mf_static, 163, 5},	//213 KPluginSelector::tr(const char*, const char*, int)
    {22, 369, 8, 3, Smoke::mf_static, 163, 6},	//214 KPluginSelector::trUtf8(const char*, const char*, int)
    {22, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//215 KPluginSelector::qt_metacall(QMetaObject::Call, int, void**)
    {22, 46, 24, 1, Smoke::mf_ctor, 34, 8},	//216 KPluginSelector::KPluginSelector(QWidget*)
    {22, 138, 122, 4, 0, 0, 9},	//217 KPluginSelector::addPlugins(const QString&, const QString&, const QString&, KSharedPtr<KSharedConfig>)
    {22, 138, 127, 4, 0, 0, 10},	//218 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {22, 138, 132, 5, 0, 0, 11},	//219 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&, const KSharedPtr<KSharedConfig>&)
    {22, 223, 0, 0, 0, 0, 12},	//220 KPluginSelector::load()
    {22, 316, 0, 0, 0, 0, 13},	//221 KPluginSelector::save()
    {22, 176, 0, 0, 0, 0, 14},	//222 KPluginSelector::defaults()
    {22, 210, 0, 0, Smoke::mf_const, 277, 15},	//223 KPluginSelector::isDefault() const
    {22, 373, 0, 0, 0, 0, 16},	//224 KPluginSelector::updatePluginsState()
    {22, 157, 40, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//225 KPluginSelector::changed(bool)
    {22, 167, 66, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//226 KPluginSelector::configCommitted(const QByteArray&)
    {22, 362, 3, 1, Smoke::mf_static, 163, 19},	//227 KPluginSelector::tr(const char*)
    {22, 369, 3, 1, Smoke::mf_static, 163, 20},	//228 KPluginSelector::trUtf8(const char*)
    {22, 46, 0, 0, Smoke::mf_ctor, 34, 21},	//229 KPluginSelector::KPluginSelector()
    {22, 138, 22, 1, 0, 0, 22},	//230 KPluginSelector::addPlugins(const QString&)
    {22, 138, 116, 2, 0, 0, 23},	//231 KPluginSelector::addPlugins(const QString&, const QString&)
    {22, 138, 138, 3, 0, 0, 24},	//232 KPluginSelector::addPlugins(const QString&, const QString&, const QString&)
    {22, 138, 142, 1, 0, 0, 25},	//233 KPluginSelector::addPlugins(const KComponentData&)
    {22, 138, 144, 2, 0, 0, 26},	//234 KPluginSelector::addPlugins(const KComponentData&, const QString&)
    {22, 138, 147, 3, 0, 0, 27},	//235 KPluginSelector::addPlugins(const KComponentData&, const QString&, const QString&)
    {22, 138, 151, 1, 0, 0, 28},	//236 KPluginSelector::addPlugins(const QList<KPluginInfo>&)
    {22, 138, 153, 2, 0, 0, 29},	//237 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod)
    {22, 138, 156, 3, 0, 0, 30},	//238 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&)
    {22, 138, 160, 4, 0, 0, 31},	//239 KPluginSelector::addPlugins(const QList<KPluginInfo>&, KPluginSelector::PluginLoadMethod, const QString&, const QString&)
    {22, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 32},	//240 KPluginSelector::staticMetaObject() const
    {22, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 33},	//241 KPluginSelector::ReadConfigFile (enum)
    {22, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 35, 34},	//242 KPluginSelector::IgnoreConfigFile (enum)
    {22, 385, 0, 0, Smoke::mf_dtor, 0, 35 },	//243 KPluginSelector::~KPluginSelector()
    {23, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//244 KPrintPreview::metaObject() const
    {23, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//245 KPrintPreview::qt_metacast(const char*)
    {23, 362, 5, 2, Smoke::mf_static, 163, 3},	//246 KPrintPreview::tr(const char*, const char*)
    {23, 369, 5, 2, Smoke::mf_static, 163, 4},	//247 KPrintPreview::trUtf8(const char*, const char*)
    {23, 362, 8, 3, Smoke::mf_static, 163, 5},	//248 KPrintPreview::tr(const char*, const char*, int)
    {23, 369, 8, 3, Smoke::mf_static, 163, 6},	//249 KPrintPreview::trUtf8(const char*, const char*, int)
    {23, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//250 KPrintPreview::qt_metacall(QMetaObject::Call, int, void**)
    {23, 48, 165, 2, Smoke::mf_ctor, 36, 8},	//251 KPrintPreview::KPrintPreview(QPrinter*, QWidget*)
    {23, 209, 0, 0, Smoke::mf_static, 277, 9},	//252 KPrintPreview::isAvailable()
    {23, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 10},	//253 KPrintPreview::showEvent(QShowEvent*)
    {23, 362, 3, 1, Smoke::mf_static, 163, 11},	//254 KPrintPreview::tr(const char*)
    {23, 369, 3, 1, Smoke::mf_static, 163, 12},	//255 KPrintPreview::trUtf8(const char*)
    {23, 48, 168, 1, Smoke::mf_ctor, 36, 13},	//256 KPrintPreview::KPrintPreview(QPrinter*)
    {23, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 14},	//257 KPrintPreview::staticMetaObject() const
    {23, 386, 0, 0, Smoke::mf_dtor, 0, 15 },	//258 KPrintPreview::~KPrintPreview()
    {26, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//259 KSettings::Dialog::metaObject() const
    {26, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//260 KSettings::Dialog::qt_metacast(const char*)
    {26, 362, 5, 2, Smoke::mf_static, 163, 3},	//261 KSettings::Dialog::tr(const char*, const char*)
    {26, 369, 5, 2, Smoke::mf_static, 163, 4},	//262 KSettings::Dialog::trUtf8(const char*, const char*)
    {26, 362, 8, 3, Smoke::mf_static, 163, 5},	//263 KSettings::Dialog::tr(const char*, const char*, int)
    {26, 369, 8, 3, Smoke::mf_static, 163, 6},	//264 KSettings::Dialog::trUtf8(const char*, const char*, int)
    {26, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//265 KSettings::Dialog::qt_metacall(QMetaObject::Call, int, void**)
    {26, 10, 24, 1, Smoke::mf_ctor, 39, 8},	//266 KSettings::Dialog::Dialog(QWidget*)
    {26, 10, 170, 2, Smoke::mf_ctor, 39, 9},	//267 KSettings::Dialog::Dialog(const QStringList&, QWidget*)
    {26, 136, 151, 1, 0, 0, 10},	//268 KSettings::Dialog::addPluginInfos(const QList<KPluginInfo>&)
    {26, 328, 173, 1, 0, 0, 11},	//269 KSettings::Dialog::setKCMArguments(const QStringList&)
    {26, 326, 173, 1, 0, 0, 12},	//270 KSettings::Dialog::setComponentBlacklist(const QStringList&)
    {26, 319, 40, 1, 0, 0, 13},	//271 KSettings::Dialog::setAllowComponentSelection(bool)
    {26, 153, 0, 0, Smoke::mf_const, 277, 14},	//272 KSettings::Dialog::allowComponentSelection() const
    {26, 293, 0, 0, Smoke::mf_const, 128, 15},	//273 KSettings::Dialog::pluginInfos() const
    {26, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//274 KSettings::Dialog::showEvent(QShowEvent*)
    {26, 294, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//275 KSettings::Dialog::pluginSelectionChanged()
    {26, 362, 3, 1, Smoke::mf_static, 163, 18},	//276 KSettings::Dialog::tr(const char*)
    {26, 369, 3, 1, Smoke::mf_static, 163, 19},	//277 KSettings::Dialog::trUtf8(const char*)
    {26, 10, 0, 0, Smoke::mf_ctor, 39, 20},	//278 KSettings::Dialog::Dialog()
    {26, 10, 173, 1, Smoke::mf_ctor, 39, 21},	//279 KSettings::Dialog::Dialog(const QStringList&)
    {26, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 22},	//280 KSettings::Dialog::staticMetaObject() const
    {26, 378, 0, 0, Smoke::mf_dtor, 0, 23 },	//281 KSettings::Dialog::~Dialog()
    {27, 226, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 308, 1},	//282 KSettings::PluginPage::metaObject() const
    {27, 298, 3, 1, Smoke::mf_virtual, 346, 2},	//283 KSettings::PluginPage::qt_metacast(const char*)
    {27, 362, 5, 2, Smoke::mf_static, 163, 3},	//284 KSettings::PluginPage::tr(const char*, const char*)
    {27, 369, 5, 2, Smoke::mf_static, 163, 4},	//285 KSettings::PluginPage::trUtf8(const char*, const char*)
    {27, 362, 8, 3, Smoke::mf_static, 163, 5},	//286 KSettings::PluginPage::tr(const char*, const char*, int)
    {27, 369, 8, 3, Smoke::mf_static, 163, 6},	//287 KSettings::PluginPage::trUtf8(const char*, const char*, int)
    {27, 296, 12, 3, Smoke::mf_virtual, 343, 7},	//288 KSettings::PluginPage::qt_metacall(QMetaObject::Call, int, void**)
    {27, 96, 175, 3, Smoke::mf_ctor, 40, 8},	//289 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*, const QList<QVariant>&)
    {27, 295, 0, 0, 0, 34, 9},	//290 KSettings::PluginPage::pluginSelector()
    {27, 223, 0, 0, Smoke::mf_virtual, 0, 10},	//291 KSettings::PluginPage::load()
    {27, 316, 0, 0, Smoke::mf_virtual, 0, 11},	//292 KSettings::PluginPage::save()
    {27, 176, 0, 0, Smoke::mf_virtual, 0, 12},	//293 KSettings::PluginPage::defaults()
    {27, 362, 3, 1, Smoke::mf_static, 163, 13},	//294 KSettings::PluginPage::tr(const char*)
    {27, 369, 3, 1, Smoke::mf_static, 163, 14},	//295 KSettings::PluginPage::trUtf8(const char*)
    {27, 96, 142, 1, Smoke::mf_ctor, 40, 15},	//296 KSettings::PluginPage::PluginPage(const KComponentData&)
    {27, 96, 179, 2, Smoke::mf_ctor, 40, 16},	//297 KSettings::PluginPage::PluginPage(const KComponentData&, QWidget*)
    {27, 349, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 307, 17},	//298 KSettings::PluginPage::staticMetaObject() const
    {27, 387, 0, 0, Smoke::mf_dtor, 0, 18 },	//299 KSettings::PluginPage::~PluginPage()
    {43, 338, 40, 1, Smoke::mf_virtual, 0, 0},	//300 QDialog::setVisible(bool)
    {43, 180, 96, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//301 QDialog::done(int)
    {43, 119, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//302 QDialog::accept()
    {43, 303, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//303 QDialog::reject()
    {43, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//304 QDialog::showEvent(QShowEvent*)
    {43, 313, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//305 QDialog::resizeEvent(QResizeEvent*)
    {43, 170, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//306 QDialog::contextMenuEvent(QContextMenuEvent*)
    {43, 190, 186, 2, Smoke::mf_protected|Smoke::mf_virtual, 277, 0},	//307 QDialog::eventFilter(QObject*, QEvent*)
    {51, 287, 189, 2, Smoke::mf_static, 117, 1},	//308 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {51, 241, 192, 2, Smoke::mf_static, 313, 2},	//309 QGlobalSpace::operator*(const QPoint&, double)
    {51, 287, 195, 2, Smoke::mf_static, 101, 3},	//310 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {51, 237, 198, 2, Smoke::mf_static, 277, 4},	//311 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {51, 241, 201, 2, Smoke::mf_static, 323, 5},	//312 QGlobalSpace::operator*(const QSize&, float)
    {51, 283, 204, 2, Smoke::mf_static, 63, 6},	//313 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {51, 263, 207, 2, Smoke::mf_static, 63, 7},	//314 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {51, 287, 210, 2, Smoke::mf_static, 117, 8},	//315 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {51, 287, 213, 2, Smoke::mf_static, 78, 9},	//316 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    {51, 237, 216, 2, Smoke::mf_static, 277, 10},	//317 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {51, 245, 219, 2, Smoke::mf_static, 323, 11},	//318 QGlobalSpace::operator+(const QSize&, const QSize&)
    {51, 263, 222, 2, Smoke::mf_static, 63, 12},	//319 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {51, 263, 225, 2, Smoke::mf_static, 63, 13},	//320 QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    {51, 241, 228, 2, Smoke::mf_static, 144, 14},	//321 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {51, 241, 231, 2, Smoke::mf_static, 122, 15},	//322 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {51, 271, 198, 2, Smoke::mf_static, 277, 16},	//323 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {51, 287, 234, 2, Smoke::mf_static, 117, 17},	//324 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, int)
    {51, 287, 237, 2, Smoke::mf_static, 106, 18},	//325 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {51, 263, 240, 2, Smoke::mf_static, 63, 19},	//326 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {51, 253, 243, 2, Smoke::mf_static, 325, 20},	//327 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {51, 287, 246, 2, Smoke::mf_static, 79, 21},	//328 QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    {51, 279, 249, 2, Smoke::mf_static, 277, 22},	//329 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {51, 271, 252, 2, Smoke::mf_static, 277, 23},	//330 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {51, 287, 255, 2, Smoke::mf_static, 101, 24},	//331 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {51, 287, 258, 2, Smoke::mf_static, 81, 25},	//332 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {51, 287, 261, 2, Smoke::mf_static, 81, 26},	//333 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {51, 237, 264, 2, Smoke::mf_static, 277, 27},	//334 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {51, 287, 267, 2, Smoke::mf_static, 76, 28},	//335 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum)
    {51, 271, 270, 2, Smoke::mf_static, 277, 29},	//336 QGlobalSpace::operator==(QBool, QBool)
    {51, 287, 273, 2, Smoke::mf_static, 117, 30},	//337 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {51, 287, 276, 2, Smoke::mf_static, 92, 31},	//338 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {51, 271, 279, 2, Smoke::mf_static, 277, 32},	//339 QGlobalSpace::operator==(QString::Null, QString::Null)
    {51, 283, 282, 2, Smoke::mf_static, 63, 33},	//340 QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    {51, 198, 3, 1, Smoke::mf_static, 163, 34},	//341 QGlobalSpace::i18n(const char*)
    {51, 263, 285, 2, Smoke::mf_static, 63, 35},	//342 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {51, 245, 288, 2, Smoke::mf_static, 328, 36},	//343 QGlobalSpace::operator+(QChar, const QString&)
    {51, 287, 291, 2, Smoke::mf_static, 86, 37},	//344 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {51, 287, 294, 2, Smoke::mf_static, 74, 38},	//345 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {51, 263, 297, 2, Smoke::mf_static, 63, 39},	//346 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {51, 250, 300, 1, Smoke::mf_static, 23, 40},	//347 QGlobalSpace::operator++(KIconLoader::Group&)
    {51, 263, 302, 2, Smoke::mf_static, 63, 41},	//348 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {51, 241, 305, 2, Smoke::mf_static, 148, 42},	//349 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {51, 287, 308, 2, Smoke::mf_static, 104, 43},	//350 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {51, 287, 311, 2, Smoke::mf_static, 117, 44},	//351 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {51, 245, 243, 2, Smoke::mf_static, 325, 45},	//352 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {51, 287, 314, 2, Smoke::mf_static, 117, 46},	//353 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {51, 287, 317, 2, Smoke::mf_static, 117, 47},	//354 QGlobalSpace::operator|(Qt::DropAction, int)
    {51, 263, 320, 2, Smoke::mf_static, 63, 48},	//355 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {51, 287, 323, 2, Smoke::mf_static, 83, 49},	//356 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {51, 287, 326, 2, Smoke::mf_static, 72, 50},	//357 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {51, 287, 329, 2, Smoke::mf_static, 92, 51},	//358 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {51, 283, 332, 2, Smoke::mf_static, 63, 52},	//359 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {51, 263, 335, 2, Smoke::mf_static, 63, 53},	//360 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {51, 287, 338, 2, Smoke::mf_static, 117, 54},	//361 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {51, 259, 341, 2, Smoke::mf_static, 277, 55},	//362 QGlobalSpace::operator<(const QByteArray&, const char*)
    {51, 366, 5, 2, Smoke::mf_static, 163, 56},	//363 QGlobalSpace::tr2i18n(const char*, const char*)
    {51, 366, 3, 1, Smoke::mf_static, 163, 57},	//364 QGlobalSpace::tr2i18n(const char*)
    {51, 287, 344, 2, Smoke::mf_static, 82, 58},	//365 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {51, 200, 5, 2, Smoke::mf_static, 163, 59},	//366 QGlobalSpace::i18nc(const char*, const char*)
    {51, 287, 347, 2, Smoke::mf_static, 93, 60},	//367 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {51, 287, 350, 2, Smoke::mf_static, 75, 61},	//368 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {51, 241, 353, 2, Smoke::mf_static, 122, 62},	//369 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {51, 287, 356, 2, Smoke::mf_static, 82, 63},	//370 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {51, 241, 359, 2, Smoke::mf_static, 124, 64},	//371 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {51, 287, 362, 2, Smoke::mf_static, 102, 65},	//372 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {51, 287, 365, 2, Smoke::mf_static, 117, 66},	//373 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {51, 241, 368, 2, Smoke::mf_static, 138, 67},	//374 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {51, 283, 371, 2, Smoke::mf_static, 63, 68},	//375 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {51, 287, 374, 2, Smoke::mf_static, 117, 69},	//376 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {51, 263, 377, 2, Smoke::mf_static, 63, 70},	//377 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {51, 263, 380, 2, Smoke::mf_static, 63, 71},	//378 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {51, 287, 383, 2, Smoke::mf_static, 95, 72},	//379 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {51, 283, 386, 2, Smoke::mf_static, 63, 73},	//380 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {51, 287, 389, 2, Smoke::mf_static, 86, 74},	//381 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {51, 245, 392, 2, Smoke::mf_static, 287, 75},	//382 QGlobalSpace::operator+(char, const QByteArray&)
    {51, 257, 201, 2, Smoke::mf_static, 323, 76},	//383 QGlobalSpace::operator/(const QSize&, float)
    {51, 271, 395, 2, Smoke::mf_static, 277, 77},	//384 QGlobalSpace::operator==(const char*, const QByteArray&)
    {51, 283, 398, 2, Smoke::mf_static, 63, 78},	//385 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {51, 283, 401, 2, Smoke::mf_static, 63, 79},	//386 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {51, 287, 404, 2, Smoke::mf_static, 117, 80},	//387 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {51, 283, 407, 2, Smoke::mf_static, 63, 81},	//388 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {51, 271, 410, 2, Smoke::mf_static, 277, 82},	//389 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {51, 287, 413, 2, Smoke::mf_static, 77, 83},	//390 QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    {51, 215, 5, 2, Smoke::mf_static, 30, 84},	//391 QGlobalSpace::ki18nc(const char*, const char*)
    {51, 237, 416, 2, Smoke::mf_static, 277, 85},	//392 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {51, 259, 419, 2, Smoke::mf_static, 277, 86},	//393 QGlobalSpace::operator<(QChar, QChar)
    {51, 241, 422, 2, Smoke::mf_static, 138, 87},	//394 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {51, 263, 425, 2, Smoke::mf_static, 63, 88},	//395 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {51, 287, 428, 2, Smoke::mf_static, 74, 89},	//396 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {51, 287, 431, 2, Smoke::mf_static, 117, 90},	//397 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    {51, 283, 434, 2, Smoke::mf_static, 63, 91},	//398 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {51, 287, 437, 2, Smoke::mf_static, 117, 92},	//399 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {51, 271, 219, 2, Smoke::mf_static, 277, 93},	//400 QGlobalSpace::operator==(const QSize&, const QSize&)
    {51, 263, 440, 2, Smoke::mf_static, 63, 94},	//401 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {51, 287, 443, 2, Smoke::mf_static, 100, 95},	//402 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {51, 287, 446, 2, Smoke::mf_static, 117, 96},	//403 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {51, 237, 249, 2, Smoke::mf_static, 277, 97},	//404 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {51, 287, 449, 2, Smoke::mf_static, 88, 98},	//405 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {51, 283, 452, 2, Smoke::mf_static, 63, 99},	//406 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {51, 287, 455, 2, Smoke::mf_static, 99, 100},	//407 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {51, 287, 458, 2, Smoke::mf_static, 100, 101},	//408 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {51, 283, 461, 2, Smoke::mf_static, 63, 102},	//409 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {51, 275, 419, 2, Smoke::mf_static, 277, 103},	//410 QGlobalSpace::operator>(QChar, QChar)
    {51, 241, 464, 2, Smoke::mf_static, 146, 104},	//411 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {51, 279, 395, 2, Smoke::mf_static, 277, 105},	//412 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {51, 271, 467, 2, Smoke::mf_static, 277, 106},	//413 QGlobalSpace::operator==(const QString&, QString::Null)
    {51, 287, 470, 2, Smoke::mf_static, 71, 107},	//414 QGlobalSpace::operator|(KCModule::Button, QFlags<KCModule::Button>)
    {51, 259, 249, 2, Smoke::mf_static, 277, 108},	//415 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {51, 287, 473, 2, Smoke::mf_static, 117, 109},	//416 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {51, 283, 476, 2, Smoke::mf_static, 63, 110},	//417 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {51, 253, 479, 1, Smoke::mf_static, 315, 111},	//418 QGlobalSpace::operator-(const QPointF&)
    {51, 287, 481, 2, Smoke::mf_static, 98, 112},	//419 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {51, 263, 484, 2, Smoke::mf_static, 63, 113},	//420 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {51, 287, 487, 2, Smoke::mf_static, 107, 114},	//421 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {51, 241, 490, 2, Smoke::mf_static, 144, 115},	//422 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {51, 287, 493, 2, Smoke::mf_static, 98, 116},	//423 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {51, 287, 496, 2, Smoke::mf_static, 105, 117},	//424 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {51, 279, 416, 2, Smoke::mf_static, 277, 118},	//425 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {51, 271, 264, 2, Smoke::mf_static, 277, 119},	//426 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {51, 263, 499, 2, Smoke::mf_static, 63, 120},	//427 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {51, 287, 502, 2, Smoke::mf_static, 88, 121},	//428 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {51, 217, 505, 3, Smoke::mf_static, 30, 122},	//429 QGlobalSpace::ki18ncp(const char*, const char*, const char*)
    {51, 263, 509, 2, Smoke::mf_static, 63, 123},	//430 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {51, 283, 512, 2, Smoke::mf_static, 63, 124},	//431 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {51, 287, 515, 2, Smoke::mf_static, 99, 125},	//432 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {51, 259, 395, 2, Smoke::mf_static, 277, 126},	//433 QGlobalSpace::operator<(const char*, const QByteArray&)
    {51, 287, 518, 2, Smoke::mf_static, 117, 127},	//434 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {51, 287, 521, 2, Smoke::mf_static, 117, 128},	//435 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {51, 241, 524, 2, Smoke::mf_static, 142, 129},	//436 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {51, 287, 527, 2, Smoke::mf_static, 117, 130},	//437 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {51, 287, 530, 2, Smoke::mf_static, 80, 131},	//438 QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    {51, 237, 219, 2, Smoke::mf_static, 277, 132},	//439 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {51, 287, 533, 2, Smoke::mf_static, 96, 133},	//440 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {51, 267, 341, 2, Smoke::mf_static, 277, 134},	//441 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {51, 237, 536, 2, Smoke::mf_static, 277, 135},	//442 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {51, 287, 539, 2, Smoke::mf_static, 117, 136},	//443 QGlobalSpace::operator|(QString::SectionFlag, int)
    {51, 287, 542, 2, Smoke::mf_static, 117, 137},	//444 QGlobalSpace::operator|(Qt::WindowType, int)
    {51, 287, 545, 2, Smoke::mf_static, 91, 138},	//445 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {51, 271, 548, 2, Smoke::mf_static, 277, 139},	//446 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {51, 271, 551, 2, Smoke::mf_static, 277, 140},	//447 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {51, 287, 554, 2, Smoke::mf_static, 84, 141},	//448 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {51, 287, 557, 2, Smoke::mf_static, 90, 142},	//449 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {51, 241, 560, 2, Smoke::mf_static, 174, 143},	//450 QGlobalSpace::operator*(const QTransform&, float)
    {51, 283, 563, 2, Smoke::mf_static, 63, 144},	//451 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {51, 263, 566, 2, Smoke::mf_static, 63, 145},	//452 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {51, 287, 569, 2, Smoke::mf_static, 117, 146},	//453 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {51, 287, 572, 2, Smoke::mf_static, 75, 147},	//454 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {51, 259, 416, 2, Smoke::mf_static, 277, 148},	//455 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {51, 287, 575, 2, Smoke::mf_static, 91, 149},	//456 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {51, 237, 578, 2, Smoke::mf_static, 277, 150},	//457 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {51, 237, 395, 2, Smoke::mf_static, 277, 151},	//458 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {51, 275, 416, 2, Smoke::mf_static, 277, 152},	//459 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {51, 287, 581, 2, Smoke::mf_static, 117, 153},	//460 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {51, 245, 560, 2, Smoke::mf_static, 174, 154},	//461 QGlobalSpace::operator+(const QTransform&, float)
    {51, 287, 584, 2, Smoke::mf_static, 85, 155},	//462 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {51, 287, 587, 2, Smoke::mf_static, 73, 156},	//463 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {51, 287, 590, 2, Smoke::mf_static, 117, 157},	//464 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {51, 263, 593, 2, Smoke::mf_static, 63, 158},	//465 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {51, 283, 596, 2, Smoke::mf_static, 63, 159},	//466 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {51, 263, 599, 2, Smoke::mf_static, 63, 160},	//467 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {51, 241, 602, 2, Smoke::mf_static, 313, 161},	//468 QGlobalSpace::operator*(const QPoint&, float)
    {51, 287, 605, 2, Smoke::mf_static, 79, 162},	//469 QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    {51, 245, 116, 2, Smoke::mf_static, 328, 163},	//470 QGlobalSpace::operator+(const QString&, const QString&)
    {51, 253, 560, 2, Smoke::mf_static, 174, 164},	//471 QGlobalSpace::operator-(const QTransform&, float)
    {51, 237, 341, 2, Smoke::mf_static, 277, 165},	//472 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {51, 237, 608, 2, Smoke::mf_static, 277, 166},	//473 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {51, 241, 611, 2, Smoke::mf_static, 315, 167},	//474 QGlobalSpace::operator*(float, const QPointF&)
    {51, 287, 614, 2, Smoke::mf_static, 117, 168},	//475 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {51, 241, 617, 2, Smoke::mf_static, 323, 169},	//476 QGlobalSpace::operator*(float, const QSize&)
    {51, 287, 620, 2, Smoke::mf_static, 117, 170},	//477 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {51, 287, 623, 2, Smoke::mf_static, 117, 171},	//478 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {51, 283, 626, 2, Smoke::mf_static, 63, 172},	//479 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {51, 275, 249, 2, Smoke::mf_static, 277, 173},	//480 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {51, 271, 536, 2, Smoke::mf_static, 277, 174},	//481 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {51, 271, 629, 2, Smoke::mf_static, 277, 175},	//482 QGlobalSpace::operator==(const char*, const QStringRef&)
    {51, 245, 395, 2, Smoke::mf_static, 287, 176},	//483 QGlobalSpace::operator+(const char*, const QByteArray&)
    {51, 287, 632, 2, Smoke::mf_static, 117, 177},	//484 QGlobalSpace::operator|(Qt::MouseButton, int)
    {51, 283, 635, 2, Smoke::mf_static, 63, 178},	//485 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {51, 267, 416, 2, Smoke::mf_static, 277, 179},	//486 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {51, 283, 638, 2, Smoke::mf_static, 63, 180},	//487 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {51, 287, 641, 2, Smoke::mf_static, 97, 181},	//488 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {51, 287, 644, 2, Smoke::mf_static, 80, 182},	//489 QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    {51, 283, 647, 2, Smoke::mf_static, 63, 183},	//490 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {51, 271, 419, 2, Smoke::mf_static, 277, 184},	//491 QGlobalSpace::operator==(QChar, QChar)
    {51, 287, 650, 2, Smoke::mf_static, 103, 185},	//492 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {51, 237, 548, 2, Smoke::mf_static, 277, 186},	//493 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {51, 257, 653, 2, Smoke::mf_static, 325, 187},	//494 QGlobalSpace::operator/(const QSizeF&, float)
    {51, 241, 656, 2, Smoke::mf_static, 124, 188},	//495 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {51, 237, 659, 2, Smoke::mf_static, 277, 189},	//496 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {51, 263, 662, 2, Smoke::mf_static, 63, 190},	//497 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {51, 263, 665, 2, Smoke::mf_static, 63, 191},	//498 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {51, 287, 668, 2, Smoke::mf_static, 104, 192},	//499 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {51, 263, 671, 2, Smoke::mf_static, 63, 193},	//500 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {51, 287, 674, 2, Smoke::mf_static, 84, 194},	//501 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {51, 287, 677, 2, Smoke::mf_static, 117, 195},	//502 QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    {51, 263, 680, 2, Smoke::mf_static, 63, 196},	//503 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {51, 237, 252, 2, Smoke::mf_static, 277, 197},	//504 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {51, 237, 419, 2, Smoke::mf_static, 277, 198},	//505 QGlobalSpace::operator!=(QChar, QChar)
    {51, 287, 683, 2, Smoke::mf_static, 87, 199},	//506 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {51, 287, 686, 2, Smoke::mf_static, 106, 200},	//507 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {51, 287, 689, 2, Smoke::mf_static, 90, 201},	//508 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {51, 271, 243, 2, Smoke::mf_static, 277, 202},	//509 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {51, 283, 692, 2, Smoke::mf_static, 63, 203},	//510 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {51, 263, 695, 2, Smoke::mf_static, 63, 204},	//511 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {51, 283, 698, 2, Smoke::mf_static, 63, 205},	//512 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {51, 271, 416, 2, Smoke::mf_static, 277, 206},	//513 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {51, 237, 701, 2, Smoke::mf_static, 277, 207},	//514 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {51, 287, 704, 2, Smoke::mf_static, 71, 208},	//515 QGlobalSpace::operator|(KCModule::Button, KCModule::Button)
    {51, 279, 341, 2, Smoke::mf_static, 277, 209},	//516 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {51, 241, 707, 2, Smoke::mf_static, 313, 210},	//517 QGlobalSpace::operator*(double, const QPoint&)
    {51, 263, 710, 2, Smoke::mf_static, 63, 211},	//518 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {51, 263, 713, 2, Smoke::mf_static, 63, 212},	//519 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {51, 245, 716, 2, Smoke::mf_static, 287, 213},	//520 QGlobalSpace::operator+(const QByteArray&, char)
    {51, 279, 419, 2, Smoke::mf_static, 277, 214},	//521 QGlobalSpace::operator>=(QChar, QChar)
    {51, 267, 249, 2, Smoke::mf_static, 277, 215},	//522 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {51, 257, 602, 2, Smoke::mf_static, 313, 216},	//523 QGlobalSpace::operator/(const QPoint&, float)
    {51, 257, 560, 2, Smoke::mf_static, 174, 217},	//524 QGlobalSpace::operator/(const QTransform&, float)
    {51, 283, 719, 2, Smoke::mf_static, 63, 218},	//525 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {51, 287, 722, 2, Smoke::mf_static, 89, 219},	//526 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {51, 263, 725, 2, Smoke::mf_static, 63, 220},	//527 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {51, 275, 395, 2, Smoke::mf_static, 277, 221},	//528 QGlobalSpace::operator>(const char*, const QByteArray&)
    {51, 287, 728, 2, Smoke::mf_static, 78, 222},	//529 QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    {51, 283, 731, 2, Smoke::mf_static, 63, 223},	//530 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {51, 263, 734, 2, Smoke::mf_static, 63, 224},	//531 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {51, 271, 701, 2, Smoke::mf_static, 277, 225},	//532 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {51, 237, 737, 2, Smoke::mf_static, 277, 226},	//533 QGlobalSpace::operator!=(bool, QBool)
    {51, 287, 740, 2, Smoke::mf_static, 85, 227},	//534 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {51, 241, 743, 2, Smoke::mf_static, 146, 228},	//535 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {51, 237, 746, 2, Smoke::mf_static, 277, 229},	//536 QGlobalSpace::operator!=(QBool, bool)
    {51, 287, 749, 2, Smoke::mf_static, 117, 230},	//537 QGlobalSpace::operator|(Qt::WindowState, int)
    {51, 253, 536, 2, Smoke::mf_static, 313, 231},	//538 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {51, 283, 752, 2, Smoke::mf_static, 63, 232},	//539 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {51, 245, 341, 2, Smoke::mf_static, 287, 233},	//540 QGlobalSpace::operator+(const QByteArray&, const char*)
    {51, 263, 755, 2, Smoke::mf_static, 63, 234},	//541 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {51, 237, 243, 2, Smoke::mf_static, 277, 235},	//542 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {51, 267, 395, 2, Smoke::mf_static, 277, 236},	//543 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {51, 287, 758, 2, Smoke::mf_static, 117, 237},	//544 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {51, 257, 761, 2, Smoke::mf_static, 315, 238},	//545 QGlobalSpace::operator/(const QPointF&, float)
    {51, 213, 3, 1, Smoke::mf_static, 30, 239},	//546 QGlobalSpace::ki18n(const char*)
    {51, 287, 764, 2, Smoke::mf_static, 93, 240},	//547 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {51, 263, 767, 2, Smoke::mf_static, 63, 241},	//548 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {51, 271, 608, 2, Smoke::mf_static, 277, 242},	//549 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {51, 287, 770, 2, Smoke::mf_static, 77, 243},	//550 QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    {51, 263, 773, 2, Smoke::mf_static, 63, 244},	//551 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {51, 287, 776, 2, Smoke::mf_static, 107, 245},	//552 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {51, 271, 779, 2, Smoke::mf_static, 277, 246},	//553 QGlobalSpace::operator==(QString::Null, const QString&)
    {51, 287, 782, 2, Smoke::mf_static, 97, 247},	//554 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {51, 287, 785, 2, Smoke::mf_static, 72, 248},	//555 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {51, 283, 788, 2, Smoke::mf_static, 63, 249},	//556 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {51, 271, 341, 2, Smoke::mf_static, 277, 250},	//557 QGlobalSpace::operator==(const QByteArray&, const char*)
    {51, 283, 791, 2, Smoke::mf_static, 63, 251},	//558 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {51, 263, 794, 2, Smoke::mf_static, 63, 252},	//559 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {51, 283, 797, 2, Smoke::mf_static, 63, 253},	//560 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {51, 275, 341, 2, Smoke::mf_static, 277, 254},	//561 QGlobalSpace::operator>(const QByteArray&, const char*)
    {51, 245, 536, 2, Smoke::mf_static, 313, 255},	//562 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {51, 241, 800, 2, Smoke::mf_static, 325, 256},	//563 QGlobalSpace::operator*(float, const QSizeF&)
    {51, 267, 419, 2, Smoke::mf_static, 277, 257},	//564 QGlobalSpace::operator<=(QChar, QChar)
    {51, 287, 803, 2, Smoke::mf_static, 117, 258},	//565 QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    {51, 241, 806, 2, Smoke::mf_static, 154, 259},	//566 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {51, 237, 779, 2, Smoke::mf_static, 277, 260},	//567 QGlobalSpace::operator!=(QString::Null, const QString&)
    {51, 287, 809, 2, Smoke::mf_static, 117, 261},	//568 QGlobalSpace::operator|(KCModule::Button, int)
    {51, 287, 812, 2, Smoke::mf_static, 89, 262},	//569 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {51, 237, 467, 2, Smoke::mf_static, 277, 263},	//570 QGlobalSpace::operator!=(const QString&, QString::Null)
    {51, 287, 815, 2, Smoke::mf_static, 117, 264},	//571 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {51, 241, 818, 2, Smoke::mf_static, 313, 265},	//572 QGlobalSpace::operator*(int, const QPoint&)
    {51, 287, 821, 2, Smoke::mf_static, 95, 266},	//573 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {51, 241, 824, 2, Smoke::mf_static, 148, 267},	//574 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {51, 253, 827, 1, Smoke::mf_static, 313, 268},	//575 QGlobalSpace::operator-(const QPoint&)
    {51, 283, 829, 2, Smoke::mf_static, 63, 269},	//576 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {51, 287, 832, 2, Smoke::mf_static, 83, 270},	//577 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {51, 241, 761, 2, Smoke::mf_static, 315, 271},	//578 QGlobalSpace::operator*(const QPointF&, float)
    {51, 283, 835, 2, Smoke::mf_static, 63, 272},	//579 QGlobalSpace::operator>>(QDataStream&, QString&)
    {51, 271, 249, 2, Smoke::mf_static, 277, 273},	//580 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {51, 263, 838, 2, Smoke::mf_static, 63, 274},	//581 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {51, 253, 410, 2, Smoke::mf_static, 315, 275},	//582 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {51, 283, 841, 2, Smoke::mf_static, 63, 276},	//583 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {51, 287, 844, 2, Smoke::mf_static, 103, 277},	//584 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {51, 271, 578, 2, Smoke::mf_static, 277, 278},	//585 QGlobalSpace::operator==(const QStringRef&, const char*)
    {51, 237, 629, 2, Smoke::mf_static, 277, 279},	//586 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {51, 283, 847, 2, Smoke::mf_static, 63, 280},	//587 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {51, 245, 249, 2, Smoke::mf_static, 287, 281},	//588 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {51, 287, 850, 2, Smoke::mf_static, 76, 282},	//589 QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>)
    {51, 287, 853, 2, Smoke::mf_static, 73, 283},	//590 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {51, 283, 856, 2, Smoke::mf_static, 63, 284},	//591 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {51, 287, 859, 2, Smoke::mf_static, 117, 285},	//592 QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    {51, 287, 862, 2, Smoke::mf_static, 117, 286},	//593 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {51, 263, 865, 2, Smoke::mf_static, 63, 287},	//594 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {51, 263, 868, 2, Smoke::mf_static, 63, 288},	//595 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {51, 283, 871, 2, Smoke::mf_static, 63, 289},	//596 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {51, 283, 874, 2, Smoke::mf_static, 63, 290},	//597 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {51, 271, 737, 2, Smoke::mf_static, 277, 291},	//598 QGlobalSpace::operator==(bool, QBool)
    {51, 287, 877, 2, Smoke::mf_static, 105, 292},	//599 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {51, 287, 880, 2, Smoke::mf_static, 117, 293},	//600 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {51, 241, 883, 2, Smoke::mf_static, 142, 294},	//601 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {51, 263, 886, 2, Smoke::mf_static, 63, 295},	//602 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {51, 219, 5, 2, Smoke::mf_static, 30, 296},	//603 QGlobalSpace::ki18np(const char*, const char*)
    {51, 283, 889, 2, Smoke::mf_static, 63, 297},	//604 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {51, 237, 410, 2, Smoke::mf_static, 277, 298},	//605 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {51, 241, 892, 2, Smoke::mf_static, 313, 299},	//606 QGlobalSpace::operator*(const QPoint&, int)
    {51, 287, 895, 2, Smoke::mf_static, 96, 300},	//607 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {51, 253, 219, 2, Smoke::mf_static, 323, 301},	//608 QGlobalSpace::operator-(const QSize&, const QSize&)
    {51, 287, 898, 2, Smoke::mf_static, 94, 302},	//609 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {51, 287, 901, 2, Smoke::mf_static, 94, 303},	//610 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {51, 287, 904, 2, Smoke::mf_static, 117, 304},	//611 QGlobalSpace::operator|(Qt::Orientation, int)
    {51, 245, 410, 2, Smoke::mf_static, 315, 305},	//612 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {51, 241, 907, 2, Smoke::mf_static, 154, 306},	//613 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {51, 271, 746, 2, Smoke::mf_static, 277, 307},	//614 QGlobalSpace::operator==(QBool, bool)
    {51, 271, 216, 2, Smoke::mf_static, 277, 308},	//615 QGlobalSpace::operator==(const QRect&, const QRect&)
    {51, 241, 910, 2, Smoke::mf_static, 313, 309},	//616 QGlobalSpace::operator*(float, const QPoint&)
    {51, 283, 913, 2, Smoke::mf_static, 63, 310},	//617 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {51, 287, 916, 2, Smoke::mf_static, 87, 311},	//618 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {51, 245, 919, 2, Smoke::mf_static, 328, 312},	//619 QGlobalSpace::operator+(const QString&, QChar)
    {51, 237, 279, 2, Smoke::mf_static, 277, 313},	//620 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {51, 287, 922, 2, Smoke::mf_static, 102, 314},	//621 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {51, 237, 270, 2, Smoke::mf_static, 277, 315},	//622 QGlobalSpace::operator!=(QBool, QBool)
    {51, 271, 659, 2, Smoke::mf_static, 277, 316},	//623 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {51, 241, 653, 2, Smoke::mf_static, 325, 317},	//624 QGlobalSpace::operator*(const QSizeF&, float)
    {51, 250, 925, 2, Smoke::mf_static, 22, 318},	//625 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {51, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 319},	//626 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {51, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 320},	//627 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {51, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 321},	//628 QGlobalSpace::Q_STATIC_TYPE (enum)
    {51, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 322},	//629 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {51, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 344, 323},	//630 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {51, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 261, 324},	//631 QGlobalSpace::LicensedGui (enum)
    {51, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 274, 325},	//632 QGlobalSpace::LicensedXml (enum)
    {51, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 267, 326},	//633 QGlobalSpace::LicensedQt3SupportLight (enum)
    {51, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 327},	//634 QGlobalSpace::KST_KSycocaEntry (enum)
    {51, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 328},	//635 QGlobalSpace::KST_KService (enum)
    {51, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 329},	//636 QGlobalSpace::KST_KServiceType (enum)
    {51, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 330},	//637 QGlobalSpace::KST_KMimeType (enum)
    {51, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 331},	//638 QGlobalSpace::KST_KFolderMimeType (enum)
    {51, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 332},	//639 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {51, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 333},	//640 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {51, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 334},	//641 QGlobalSpace::KST_KServiceGroup (enum)
    {51, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 335},	//642 QGlobalSpace::KST_KImageIOFormat (enum)
    {51, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 336},	//643 QGlobalSpace::KST_KProtocolInfo (enum)
    {51, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 337},	//644 QGlobalSpace::KST_KServiceSeparator (enum)
    {51, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 338},	//645 QGlobalSpace::KST_KCustom (enum)
    {51, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 269, 339},	//646 QGlobalSpace::LicensedScript (enum)
    {51, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 266, 340},	//647 QGlobalSpace::LicensedOpenVG (enum)
    {51, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 259, 341},	//648 QGlobalSpace::LicensedDBus (enum)
    {51, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 273, 342},	//649 QGlobalSpace::LicensedTest (enum)
    {51, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 257, 343},	//650 QGlobalSpace::LicensedActiveQt (enum)
    {51, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 270, 344},	//651 QGlobalSpace::LicensedScriptTools (enum)
    {51, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 272, 345},	//652 QGlobalSpace::LicensedSvg (enum)
    {51, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 260, 346},	//653 QGlobalSpace::LicensedDeclarative (enum)
    {51, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 271, 347},	//654 QGlobalSpace::LicensedSql (enum)
    {51, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 265, 348},	//655 QGlobalSpace::LicensedOpenGL (enum)
    {51, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 258, 349},	//656 QGlobalSpace::LicensedCore (enum)
    {51, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 350},	//657 QGlobalSpace::QtDebugMsg (enum)
    {51, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 351},	//658 QGlobalSpace::QtWarningMsg (enum)
    {51, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 352},	//659 QGlobalSpace::QtCriticalMsg (enum)
    {51, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 353},	//660 QGlobalSpace::QtFatalMsg (enum)
    {51, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 256, 354},	//661 QGlobalSpace::QtSystemMsg (enum)
    {51, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 262, 355},	//662 QGlobalSpace::LicensedHelp (enum)
    {51, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 263, 356},	//663 QGlobalSpace::LicensedMultimedia (enum)
    {51, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 268, 357},	//664 QGlobalSpace::LicensedQt3Support (enum)
    {51, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 358},	//665 QGlobalSpace::KST_KServiceFactory (enum)
    {51, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 359},	//666 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {51, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 360},	//667 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {51, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 361},	//668 QGlobalSpace::KST_KImageIO (enum)
    {51, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 362},	//669 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {51, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 363},	//670 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {51, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 44, 364},	//671 QGlobalSpace::KST_CTimeInfo (enum)
    {51, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 275, 365},	//672 QGlobalSpace::LicensedXmlPatterns (enum)
    {51, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 264, 366},	//673 QGlobalSpace::LicensedNetwork (enum)
    {68, 189, 928, 1, Smoke::mf_virtual, 277, 0},	//674 QObject::event(QEvent*)
    {68, 190, 186, 2, Smoke::mf_virtual, 277, 0},	//675 QObject::eventFilter(QObject*, QEvent*)
    {68, 361, 930, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QObject::timerEvent(QTimerEvent*)
    {68, 162, 932, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QObject::childEvent(QChildEvent*)
    {68, 173, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QObject::customEvent(QEvent*)
    {68, 169, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QObject::connectNotify(const char*)
    {68, 179, 3, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QObject::disconnectNotify(const char*)
    {99, 178, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 343, 0},	//681 QWidget::devType() const
    {99, 338, 40, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//682 QWidget::setVisible(bool)
    {99, 342, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 158, 0},	//683 QWidget::sizeHint() const
    {99, 228, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 158, 0},	//684 QWidget::minimumSizeHint() const
    {99, 196, 96, 1, Smoke::mf_const|Smoke::mf_virtual, 343, 0},	//685 QWidget::heightForWidth(int) const
    {99, 289, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 136, 0},	//686 QWidget::paintEngine() const
    {99, 189, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 277, 0},	//687 QWidget::event(QEvent*)
    {99, 232, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QWidget::mousePressEvent(QMouseEvent*)
    {99, 233, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//689 QWidget::mouseReleaseEvent(QMouseEvent*)
    {99, 230, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//690 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {99, 231, 934, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//691 QWidget::mouseMoveEvent(QMouseEvent*)
    {99, 375, 936, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//692 QWidget::wheelEvent(QWheelEvent*)
    {99, 211, 94, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QWidget::keyPressEvent(QKeyEvent*)
    {99, 212, 94, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QWidget::keyReleaseEvent(QKeyEvent*)
    {99, 192, 938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QWidget::focusInEvent(QFocusEvent*)
    {99, 194, 938, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//696 QWidget::focusOutEvent(QFocusEvent*)
    {99, 188, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QWidget::enterEvent(QEvent*)
    {99, 222, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//698 QWidget::leaveEvent(QEvent*)
    {99, 290, 940, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//699 QWidget::paintEvent(QPaintEvent*)
    {99, 234, 942, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//700 QWidget::moveEvent(QMoveEvent*)
    {99, 313, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//701 QWidget::resizeEvent(QResizeEvent*)
    {99, 165, 92, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//702 QWidget::closeEvent(QCloseEvent*)
    {99, 170, 184, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//703 QWidget::contextMenuEvent(QContextMenuEvent*)
    {99, 352, 944, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//704 QWidget::tabletEvent(QTabletEvent*)
    {99, 120, 946, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//705 QWidget::actionEvent(QActionEvent*)
    {99, 181, 948, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//706 QWidget::dragEnterEvent(QDragEnterEvent*)
    {99, 183, 950, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//707 QWidget::dragMoveEvent(QDragMoveEvent*)
    {99, 182, 952, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//708 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {99, 184, 954, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//709 QWidget::dropEvent(QDropEvent*)
    {99, 339, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//710 QWidget::showEvent(QShowEvent*)
    {99, 197, 90, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//711 QWidget::hideEvent(QHideEvent*)
    {99, 377, 956, 1, Smoke::mf_protected|Smoke::mf_virtual, 277, 0},	//712 QWidget::x11Event(_XEvent*)
    {99, 156, 928, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//713 QWidget::changeEvent(QEvent*)
    {99, 227, 958, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 343, 0},	//714 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {99, 204, 960, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//715 QWidget::inputMethodEvent(QInputMethodEvent*)
    {99, 205, 962, 1, Smoke::mf_const|Smoke::mf_virtual, 178, 0},	//716 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {99, 193, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 277, 0},	//717 QWidget::focusNextPrevChild(bool)
    {99, 351, 964, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//718 QWidget::styleChange(QStyle&)
    {99, 187, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//719 QWidget::enabledChange(bool)
    {99, 291, 966, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//720 QWidget::paletteChange(const QPalette&)
    {99, 195, 968, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//721 QWidget::fontChange(const QFont&)
    {99, 376, 40, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//722 QWidget::windowActivationChange(bool)
    {99, 221, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//723 QWidget::languageChange()
    {99, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 44},	//724 QWidget::DrawWindowBackground (enum)
    {99, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 45},	//725 QWidget::DrawChildren (enum)
    {99, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 46},	//726 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    311,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    317,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    334,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    392,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    404,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    439,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    442,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    496,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    504,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    505,  // QGlobalSpace::operator!=(QChar, QChar)
    514,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    542,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    605,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    620,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    622,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    457,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    472,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    493,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    536,  // QGlobalSpace::operator!=(QBool, bool)
    567,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    458,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    473,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    533,  // QGlobalSpace::operator!=(bool, QBool)
    570,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    586,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    0,
    321,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    322,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    349,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    369,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    371,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    374,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    394,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    411,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    422,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    436,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    495,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    535,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    566,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    574,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    601,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    613,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    309,  // QGlobalSpace::operator*(const QPoint&, double)
    312,  // QGlobalSpace::operator*(const QSize&, float)
    450,  // QGlobalSpace::operator*(const QTransform&, float)
    468,  // QGlobalSpace::operator*(const QPoint&, float)
    578,  // QGlobalSpace::operator*(const QPointF&, float)
    606,  // QGlobalSpace::operator*(const QPoint&, int)
    624,  // QGlobalSpace::operator*(const QSizeF&, float)
    0,
    474,  // QGlobalSpace::operator*(float, const QPointF&)
    476,  // QGlobalSpace::operator*(float, const QSize&)
    517,  // QGlobalSpace::operator*(double, const QPoint&)
    563,  // QGlobalSpace::operator*(float, const QSizeF&)
    572,  // QGlobalSpace::operator*(int, const QPoint&)
    616,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    318,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    352,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    562,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    588,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    612,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    343,  // QGlobalSpace::operator+(QChar, const QString&)
    461,  // QGlobalSpace::operator+(const QTransform&, float)
    520,  // QGlobalSpace::operator+(const QByteArray&, char)
    540,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    0,
    382,  // QGlobalSpace::operator+(char, const QByteArray&)
    483,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    619,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    418,  // QGlobalSpace::operator-(const QPointF&)
    575,  // QGlobalSpace::operator-(const QPoint&)
    0,
    327,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    538,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    582,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    608,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    383,  // QGlobalSpace::operator/(const QSize&, float)
    494,  // QGlobalSpace::operator/(const QSizeF&, float)
    523,  // QGlobalSpace::operator/(const QPoint&, float)
    524,  // QGlobalSpace::operator/(const QTransform&, float)
    545,  // QGlobalSpace::operator/(const QPointF&, float)
    0,
    393,  // QGlobalSpace::operator<(QChar, QChar)
    415,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    455,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    0,
    314,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    319,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    320,  // QGlobalSpace::operator<<(QDataStream&, const KServiceAction&)
    326,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    342,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    346,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    348,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    360,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    377,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    378,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    395,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    401,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    420,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    427,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    430,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    452,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    465,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    467,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    497,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    498,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    500,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    503,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    511,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    518,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    519,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    527,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    531,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    541,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    548,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    551,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    559,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    594,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    602,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    0,
    581,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    595,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    486,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    522,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    564,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    323,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    330,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    336,  // QGlobalSpace::operator==(QBool, QBool)
    339,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    389,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    400,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    426,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    447,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    481,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    491,  // QGlobalSpace::operator==(QChar, QChar)
    509,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    513,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    532,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    580,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    615,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    623,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    446,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    553,  // QGlobalSpace::operator==(QString::Null, const QString&)
    557,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    585,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    614,  // QGlobalSpace::operator==(QBool, bool)
    0,
    384,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    413,  // QGlobalSpace::operator==(const QString&, QString::Null)
    482,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    549,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    598,  // QGlobalSpace::operator==(bool, QBool)
    0,
    410,  // QGlobalSpace::operator>(QChar, QChar)
    459,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    480,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    0,
    329,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    425,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    521,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    313,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    340,  // QGlobalSpace::operator>>(QDataStream&, KServiceAction&)
    359,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    375,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    380,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    385,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    386,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    388,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    398,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    406,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    409,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    417,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    431,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    451,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    466,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    479,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    485,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    487,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    510,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    512,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    525,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    530,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    556,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    558,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    560,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    576,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    583,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    587,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    591,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    596,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    597,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    604,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    617,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    0,
    490,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    579,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    308,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    310,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    315,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    316,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, KLocale::DateTimeFormatOption)
    324,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, int)
    325,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    328,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, QFlags<KLocale::TimeFormatOption>)
    331,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    332,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    333,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    335,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, KEmoticonsTheme::ParseModeEnum)
    337,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    338,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    344,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    345,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    350,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    351,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    353,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    354,  // QGlobalSpace::operator|(Qt::DropAction, int)
    356,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    357,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    358,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    361,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    365,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    367,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    368,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    370,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    372,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    373,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    376,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    379,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    381,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    387,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    390,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, QFlags<KLocale::DateTimeComponent>)
    396,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    397,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, int)
    399,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    402,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    403,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    405,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    407,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    408,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    414,  // QGlobalSpace::operator|(KCModule::Button, QFlags<KCModule::Button>)
    416,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    419,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    421,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    423,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    424,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    428,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    432,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    434,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    435,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    437,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    438,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, KLocale::TimeProcessingOption)
    440,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    443,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    444,  // QGlobalSpace::operator|(Qt::WindowType, int)
    445,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    448,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    449,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    453,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    454,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    456,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    460,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    462,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    463,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    464,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    469,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, KLocale::TimeFormatOption)
    475,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    477,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    478,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    484,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    488,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    489,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, QFlags<KLocale::TimeProcessingOption>)
    492,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    499,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    501,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    502,  // QGlobalSpace::operator|(KLocale::TimeProcessingOption, int)
    506,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    507,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    508,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    515,  // QGlobalSpace::operator|(KCModule::Button, KCModule::Button)
    526,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    529,  // QGlobalSpace::operator|(KLocale::DateTimeFormatOption, QFlags<KLocale::DateTimeFormatOption>)
    534,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    537,  // QGlobalSpace::operator|(Qt::WindowState, int)
    544,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    547,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    550,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, KLocale::DateTimeComponent)
    552,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    554,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    555,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    565,  // QGlobalSpace::operator|(KLocale::TimeFormatOption, int)
    568,  // QGlobalSpace::operator|(KCModule::Button, int)
    569,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    571,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    573,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    577,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    584,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    589,  // QGlobalSpace::operator|(KEmoticonsTheme::ParseModeEnum, QFlags<KEmoticonsTheme::ParseModeEnum>)
    590,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    592,  // QGlobalSpace::operator|(KLocale::DateTimeComponent, int)
    593,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    599,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    600,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    607,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    609,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    610,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    611,  // QGlobalSpace::operator|(Qt::Orientation, int)
    618,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    621,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {4, 24, 24},	// KCModuleContainer::KCModuleContainer#
    {4, 25, 17},	// KCModuleContainer::KCModuleContainer#$
    {4, 26, 16},	// KCModuleContainer::KCModuleContainer#?
    {4, 134, 18},	// KCModuleContainer::addModule$
    {4, 152, 28},	// KCModuleContainer::allModules
    {4, 160, 26},	// KCModuleContainer::changedModules
    {4, 176, 21},	// KCModuleContainer::defaults
    {4, 223, 20},	// KCModuleContainer::load
    {4, 226, 9},	// KCModuleContainer::metaObject
    {4, 297, 15},	// KCModuleContainer::qt_metacall$$?
    {4, 299, 10},	// KCModuleContainer::qt_metacast$
    {4, 316, 19},	// KCModuleContainer::save
    {4, 318, 29},	// KCModuleContainer::setAllModules?
    {4, 325, 27},	// KCModuleContainer::setChangedModules?
    {4, 349, 25},	// KCModuleContainer::staticMetaObject
    {4, 363, 22},	// KCModuleContainer::tr$
    {4, 364, 11},	// KCModuleContainer::tr$$
    {4, 365, 13},	// KCModuleContainer::tr$$$
    {4, 370, 23},	// KCModuleContainer::trUtf8$
    {4, 371, 12},	// KCModuleContainer::trUtf8$$
    {4, 372, 14},	// KCModuleContainer::trUtf8$$$
    {4, 379, 30},	// KCModuleContainer::~KCModuleContainer
    {6, 28, 64},	// KCModuleProxy::KCModuleProxy#
    {6, 29, 65},	// KCModuleProxy::KCModuleProxy##
    {6, 30, 38},	// KCModuleProxy::KCModuleProxy##?
    {6, 31, 66},	// KCModuleProxy::KCModuleProxy$
    {6, 32, 67},	// KCModuleProxy::KCModuleProxy$#
    {6, 33, 39},	// KCModuleProxy::KCModuleProxy$#?
    {6, 34, 68},	// KCModuleProxy::KCModuleProxy?
    {6, 35, 69},	// KCModuleProxy::KCModuleProxy?#
    {6, 36, 40},	// KCModuleProxy::KCModuleProxy?#?
    {6, 118, 44},	// KCModuleProxy::aboutData
    {6, 154, 45},	// KCModuleProxy::buttons
    {6, 157, 49},	// KCModuleProxy::changed
    {6, 158, 58},	// KCModuleProxy::changed#
    {6, 159, 57},	// KCModuleProxy::changed$
    {6, 161, 59},	// KCModuleProxy::childClosed
    {6, 166, 48},	// KCModuleProxy::componentData
    {6, 174, 53},	// KCModuleProxy::dbusPath
    {6, 175, 52},	// KCModuleProxy::dbusService
    {6, 176, 55},	// KCModuleProxy::defaults
    {6, 177, 56},	// KCModuleProxy::deleteClient
    {6, 223, 41},	// KCModuleProxy::load
    {6, 226, 31},	// KCModuleProxy::metaObject
    {6, 228, 54},	// KCModuleProxy::minimumSizeHint
    {6, 229, 51},	// KCModuleProxy::moduleInfo
    {6, 297, 37},	// KCModuleProxy::qt_metacall$$?
    {6, 299, 32},	// KCModuleProxy::qt_metacast$
    {6, 300, 43},	// KCModuleProxy::quickHelp
    {6, 301, 60},	// KCModuleProxy::quickHelpChanged
    {6, 302, 50},	// KCModuleProxy::realModule
    {6, 315, 46},	// KCModuleProxy::rootOnlyMessage
    {6, 316, 42},	// KCModuleProxy::save
    {6, 340, 61},	// KCModuleProxy::showEvent#
    {6, 349, 70},	// KCModuleProxy::staticMetaObject
    {6, 363, 62},	// KCModuleProxy::tr$
    {6, 364, 33},	// KCModuleProxy::tr$$
    {6, 365, 35},	// KCModuleProxy::tr$$$
    {6, 370, 63},	// KCModuleProxy::trUtf8$
    {6, 371, 34},	// KCModuleProxy::trUtf8$$
    {6, 372, 36},	// KCModuleProxy::trUtf8$$$
    {6, 374, 47},	// KCModuleProxy::useRootOnlyMessage
    {6, 380, 71},	// KCModuleProxy::~KCModuleProxy
    {7, 37, 95},	// KCMultiDialog::KCMultiDialog
    {7, 38, 79},	// KCMultiDialog::KCMultiDialog#
    {7, 39, 99},	// KCMultiDialog::KCMultiDialog##
    {7, 40, 100},	// KCMultiDialog::KCMultiDialog###
    {7, 41, 87},	// KCMultiDialog::KCMultiDialog###$
    {7, 42, 86},	// KCMultiDialog::KCMultiDialog##$
    {7, 131, 97},	// KCMultiDialog::addModule#
    {7, 132, 98},	// KCMultiDialog::addModule##
    {7, 133, 81},	// KCMultiDialog::addModule##?
    {7, 134, 96},	// KCMultiDialog::addModule$
    {7, 135, 80},	// KCMultiDialog::addModule$?
    {7, 163, 82},	// KCMultiDialog::clear
    {7, 167, 84},	// KCMultiDialog::configCommitted
    {7, 168, 85},	// KCMultiDialog::configCommitted#
    {7, 226, 72},	// KCMultiDialog::metaObject
    {7, 297, 78},	// KCMultiDialog::qt_metacall$$?
    {7, 299, 73},	// KCMultiDialog::qt_metacast$
    {7, 322, 83},	// KCMultiDialog::setButtons$
    {7, 343, 90},	// KCMultiDialog::slotApplyClicked
    {7, 345, 88},	// KCMultiDialog::slotDefaultClicked
    {7, 346, 92},	// KCMultiDialog::slotHelpClicked
    {7, 347, 91},	// KCMultiDialog::slotOkClicked
    {7, 348, 89},	// KCMultiDialog::slotUser1Clicked
    {7, 349, 101},	// KCMultiDialog::staticMetaObject
    {7, 363, 93},	// KCMultiDialog::tr$
    {7, 364, 74},	// KCMultiDialog::tr$$
    {7, 365, 76},	// KCMultiDialog::tr$$$
    {7, 370, 94},	// KCMultiDialog::trUtf8$
    {7, 371, 75},	// KCMultiDialog::trUtf8$$
    {7, 372, 77},	// KCMultiDialog::trUtf8$$$
    {7, 381, 102},	// KCMultiDialog::~KCMultiDialog
    {12, 43, 139},	// KEmoticons::KEmoticons
    {12, 172, 142},	// KEmoticons::currentThemeName
    {12, 207, 147},	// KEmoticons::installTheme$
    {12, 226, 132},	// KEmoticons::metaObject
    {12, 236, 146},	// KEmoticons::newTheme$?
    {12, 292, 149},	// KEmoticons::parseMode
    {12, 297, 138},	// KEmoticons::qt_metacall$$?
    {12, 299, 133},	// KEmoticons::qt_metacast$
    {12, 331, 148},	// KEmoticons::setParseMode$
    {12, 334, 144},	// KEmoticons::setTheme#
    {12, 335, 145},	// KEmoticons::setTheme$
    {12, 349, 152},	// KEmoticons::staticMetaObject
    {12, 353, 140},	// KEmoticons::theme
    {12, 354, 141},	// KEmoticons::theme$
    {12, 355, 143},	// KEmoticons::themeList
    {12, 363, 150},	// KEmoticons::tr$
    {12, 364, 134},	// KEmoticons::tr$$
    {12, 365, 136},	// KEmoticons::tr$$$
    {12, 370, 151},	// KEmoticons::trUtf8$
    {12, 371, 135},	// KEmoticons::trUtf8$$
    {12, 372, 137},	// KEmoticons::trUtf8$$$
    {12, 382, 153},	// KEmoticons::~KEmoticons
    {13, 6, 184},	// KEmoticonsProvider::Copy
    {13, 14, 183},	// KEmoticonsProvider::DoNotCopy
    {13, 44, 180},	// KEmoticonsProvider::KEmoticonsProvider
    {13, 45, 161},	// KEmoticonsProvider::KEmoticonsProvider#
    {13, 122, 181},	// KEmoticonsProvider::addEmoticon$$
    {13, 123, 164},	// KEmoticonsProvider::addEmoticon$$$
    {13, 125, 176},	// KEmoticonsProvider::addEmoticonIndex$?
    {13, 127, 174},	// KEmoticonsProvider::addEmoticonsMap$?
    {13, 164, 173},	// KEmoticonsProvider::clearEmoticonsMap
    {13, 171, 172},	// KEmoticonsProvider::createNew
    {13, 185, 171},	// KEmoticonsProvider::emoticonsIndex
    {13, 186, 170},	// KEmoticonsProvider::emoticonsMap
    {13, 191, 169},	// KEmoticonsProvider::fileName
    {13, 225, 162},	// KEmoticonsProvider::loadTheme$
    {13, 226, 154},	// KEmoticonsProvider::metaObject
    {13, 297, 160},	// KEmoticonsProvider::qt_metacall$$?
    {13, 299, 155},	// KEmoticonsProvider::qt_metacast$
    {13, 306, 163},	// KEmoticonsProvider::removeEmoticon$
    {13, 308, 177},	// KEmoticonsProvider::removeEmoticonIndex$?
    {13, 310, 175},	// KEmoticonsProvider::removeEmoticonsMap$
    {13, 316, 165},	// KEmoticonsProvider::save
    {13, 337, 167},	// KEmoticonsProvider::setThemeName$
    {13, 349, 182},	// KEmoticonsProvider::staticMetaObject
    {13, 356, 166},	// KEmoticonsProvider::themeName
    {13, 357, 168},	// KEmoticonsProvider::themePath
    {13, 363, 178},	// KEmoticonsProvider::tr$
    {13, 364, 156},	// KEmoticonsProvider::tr$$
    {13, 365, 158},	// KEmoticonsProvider::tr$$$
    {13, 370, 179},	// KEmoticonsProvider::trUtf8$
    {13, 371, 157},	// KEmoticonsProvider::trUtf8$$
    {13, 372, 159},	// KEmoticonsProvider::trUtf8$$$
    {13, 383, 185},	// KEmoticonsProvider::~KEmoticonsProvider
    {15, 129, 197},	// KIdleTime::addIdleTimeout$
    {15, 155, 200},	// KIdleTime::catchNextResumeEvent
    {15, 202, 194},	// KIdleTime::idleTime
    {15, 203, 195},	// KIdleTime::idleTimeouts
    {15, 208, 193},	// KIdleTime::instance
    {15, 226, 186},	// KIdleTime::metaObject
    {15, 297, 192},	// KIdleTime::qt_metacall$$?
    {15, 299, 187},	// KIdleTime::qt_metacast$
    {15, 304, 199},	// KIdleTime::removeAllIdleTimeouts
    {15, 312, 198},	// KIdleTime::removeIdleTimeout$
    {15, 314, 202},	// KIdleTime::resumingFromIdle
    {15, 341, 196},	// KIdleTime::simulateUserActivity
    {15, 349, 207},	// KIdleTime::staticMetaObject
    {15, 350, 201},	// KIdleTime::stopCatchingResumeEvent
    {15, 359, 203},	// KIdleTime::timeoutReached$
    {15, 360, 204},	// KIdleTime::timeoutReached$$
    {15, 363, 205},	// KIdleTime::tr$
    {15, 364, 188},	// KIdleTime::tr$$
    {15, 365, 190},	// KIdleTime::tr$$$
    {15, 370, 206},	// KIdleTime::trUtf8$
    {15, 371, 189},	// KIdleTime::trUtf8$$
    {15, 372, 191},	// KIdleTime::trUtf8$$$
    {15, 384, 208},	// KIdleTime::~KIdleTime
    {22, 20, 242},	// KPluginSelector::IgnoreConfigFile
    {22, 46, 229},	// KPluginSelector::KPluginSelector
    {22, 47, 216},	// KPluginSelector::KPluginSelector#
    {22, 110, 241},	// KPluginSelector::ReadConfigFile
    {22, 139, 233},	// KPluginSelector::addPlugins#
    {22, 140, 234},	// KPluginSelector::addPlugins#$
    {22, 141, 235},	// KPluginSelector::addPlugins#$$
    {22, 142, 218},	// KPluginSelector::addPlugins#$$?
    {22, 143, 230},	// KPluginSelector::addPlugins$
    {22, 144, 231},	// KPluginSelector::addPlugins$$
    {22, 145, 232},	// KPluginSelector::addPlugins$$$
    {22, 146, 217},	// KPluginSelector::addPlugins$$$?
    {22, 147, 236},	// KPluginSelector::addPlugins?
    {22, 148, 237},	// KPluginSelector::addPlugins?$
    {22, 149, 238},	// KPluginSelector::addPlugins?$$
    {22, 150, 239},	// KPluginSelector::addPlugins?$$$
    {22, 151, 219},	// KPluginSelector::addPlugins?$$$?
    {22, 159, 225},	// KPluginSelector::changed$
    {22, 168, 226},	// KPluginSelector::configCommitted#
    {22, 176, 222},	// KPluginSelector::defaults
    {22, 210, 223},	// KPluginSelector::isDefault
    {22, 223, 220},	// KPluginSelector::load
    {22, 226, 209},	// KPluginSelector::metaObject
    {22, 297, 215},	// KPluginSelector::qt_metacall$$?
    {22, 299, 210},	// KPluginSelector::qt_metacast$
    {22, 316, 221},	// KPluginSelector::save
    {22, 349, 240},	// KPluginSelector::staticMetaObject
    {22, 363, 227},	// KPluginSelector::tr$
    {22, 364, 211},	// KPluginSelector::tr$$
    {22, 365, 213},	// KPluginSelector::tr$$$
    {22, 370, 228},	// KPluginSelector::trUtf8$
    {22, 371, 212},	// KPluginSelector::trUtf8$$
    {22, 372, 214},	// KPluginSelector::trUtf8$$$
    {22, 373, 224},	// KPluginSelector::updatePluginsState
    {22, 385, 243},	// KPluginSelector::~KPluginSelector
    {23, 49, 256},	// KPrintPreview::KPrintPreview#
    {23, 50, 251},	// KPrintPreview::KPrintPreview##
    {23, 209, 252},	// KPrintPreview::isAvailable
    {23, 226, 244},	// KPrintPreview::metaObject
    {23, 297, 250},	// KPrintPreview::qt_metacall$$?
    {23, 299, 245},	// KPrintPreview::qt_metacast$
    {23, 340, 253},	// KPrintPreview::showEvent#
    {23, 349, 257},	// KPrintPreview::staticMetaObject
    {23, 363, 254},	// KPrintPreview::tr$
    {23, 364, 246},	// KPrintPreview::tr$$
    {23, 365, 248},	// KPrintPreview::tr$$$
    {23, 370, 255},	// KPrintPreview::trUtf8$
    {23, 371, 247},	// KPrintPreview::trUtf8$$
    {23, 372, 249},	// KPrintPreview::trUtf8$$$
    {23, 386, 258},	// KPrintPreview::~KPrintPreview
    {26, 10, 278},	// KSettings::Dialog::Dialog
    {26, 11, 266},	// KSettings::Dialog::Dialog#
    {26, 12, 279},	// KSettings::Dialog::Dialog?
    {26, 13, 267},	// KSettings::Dialog::Dialog?#
    {26, 137, 268},	// KSettings::Dialog::addPluginInfos?
    {26, 153, 272},	// KSettings::Dialog::allowComponentSelection
    {26, 226, 259},	// KSettings::Dialog::metaObject
    {26, 293, 273},	// KSettings::Dialog::pluginInfos
    {26, 294, 275},	// KSettings::Dialog::pluginSelectionChanged
    {26, 297, 265},	// KSettings::Dialog::qt_metacall$$?
    {26, 299, 260},	// KSettings::Dialog::qt_metacast$
    {26, 320, 271},	// KSettings::Dialog::setAllowComponentSelection$
    {26, 327, 270},	// KSettings::Dialog::setComponentBlacklist?
    {26, 329, 269},	// KSettings::Dialog::setKCMArguments?
    {26, 340, 274},	// KSettings::Dialog::showEvent#
    {26, 349, 280},	// KSettings::Dialog::staticMetaObject
    {26, 363, 276},	// KSettings::Dialog::tr$
    {26, 364, 261},	// KSettings::Dialog::tr$$
    {26, 365, 263},	// KSettings::Dialog::tr$$$
    {26, 370, 277},	// KSettings::Dialog::trUtf8$
    {26, 371, 262},	// KSettings::Dialog::trUtf8$$
    {26, 372, 264},	// KSettings::Dialog::trUtf8$$$
    {26, 378, 281},	// KSettings::Dialog::~Dialog
    {27, 97, 296},	// KSettings::PluginPage::PluginPage#
    {27, 98, 297},	// KSettings::PluginPage::PluginPage##
    {27, 99, 289},	// KSettings::PluginPage::PluginPage##?
    {27, 176, 293},	// KSettings::PluginPage::defaults
    {27, 223, 291},	// KSettings::PluginPage::load
    {27, 226, 282},	// KSettings::PluginPage::metaObject
    {27, 295, 290},	// KSettings::PluginPage::pluginSelector
    {27, 297, 288},	// KSettings::PluginPage::qt_metacall$$?
    {27, 299, 283},	// KSettings::PluginPage::qt_metacast$
    {27, 316, 292},	// KSettings::PluginPage::save
    {27, 349, 298},	// KSettings::PluginPage::staticMetaObject
    {27, 363, 294},	// KSettings::PluginPage::tr$
    {27, 364, 284},	// KSettings::PluginPage::tr$$
    {27, 365, 286},	// KSettings::PluginPage::tr$$$
    {27, 370, 295},	// KSettings::PluginPage::trUtf8$
    {27, 371, 285},	// KSettings::PluginPage::trUtf8$$
    {27, 372, 287},	// KSettings::PluginPage::trUtf8$$$
    {27, 387, 299},	// KSettings::PluginPage::~PluginPage
    {51, 51, 671},	// QGlobalSpace::KST_CTimeInfo
    {51, 52, 645},	// QGlobalSpace::KST_KCustom
    {51, 53, 639},	// QGlobalSpace::KST_KDEDesktopMimeType
    {51, 54, 638},	// QGlobalSpace::KST_KFolderMimeType
    {51, 55, 668},	// QGlobalSpace::KST_KImageIO
    {51, 56, 642},	// QGlobalSpace::KST_KImageIOFormat
    {51, 57, 637},	// QGlobalSpace::KST_KMimeType
    {51, 58, 640},	// QGlobalSpace::KST_KMimeTypeEntry
    {51, 59, 670},	// QGlobalSpace::KST_KMimeTypeFactory
    {51, 60, 643},	// QGlobalSpace::KST_KProtocolInfo
    {51, 61, 669},	// QGlobalSpace::KST_KProtocolInfoFactory
    {51, 62, 635},	// QGlobalSpace::KST_KService
    {51, 63, 665},	// QGlobalSpace::KST_KServiceFactory
    {51, 64, 641},	// QGlobalSpace::KST_KServiceGroup
    {51, 65, 667},	// QGlobalSpace::KST_KServiceGroupFactory
    {51, 66, 644},	// QGlobalSpace::KST_KServiceSeparator
    {51, 67, 636},	// QGlobalSpace::KST_KServiceType
    {51, 68, 666},	// QGlobalSpace::KST_KServiceTypeFactory
    {51, 69, 634},	// QGlobalSpace::KST_KSycocaEntry
    {51, 70, 650},	// QGlobalSpace::LicensedActiveQt
    {51, 71, 656},	// QGlobalSpace::LicensedCore
    {51, 72, 648},	// QGlobalSpace::LicensedDBus
    {51, 73, 653},	// QGlobalSpace::LicensedDeclarative
    {51, 74, 631},	// QGlobalSpace::LicensedGui
    {51, 75, 662},	// QGlobalSpace::LicensedHelp
    {51, 76, 663},	// QGlobalSpace::LicensedMultimedia
    {51, 77, 673},	// QGlobalSpace::LicensedNetwork
    {51, 78, 655},	// QGlobalSpace::LicensedOpenGL
    {51, 79, 647},	// QGlobalSpace::LicensedOpenVG
    {51, 80, 664},	// QGlobalSpace::LicensedQt3Support
    {51, 81, 633},	// QGlobalSpace::LicensedQt3SupportLight
    {51, 82, 646},	// QGlobalSpace::LicensedScript
    {51, 83, 651},	// QGlobalSpace::LicensedScriptTools
    {51, 84, 654},	// QGlobalSpace::LicensedSql
    {51, 85, 652},	// QGlobalSpace::LicensedSvg
    {51, 86, 649},	// QGlobalSpace::LicensedTest
    {51, 87, 632},	// QGlobalSpace::LicensedXml
    {51, 88, 672},	// QGlobalSpace::LicensedXmlPatterns
    {51, 100, 626},	// QGlobalSpace::Q_COMPLEX_TYPE
    {51, 101, 630},	// QGlobalSpace::Q_DUMMY_TYPE
    {51, 102, 629},	// QGlobalSpace::Q_MOVABLE_TYPE
    {51, 103, 627},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {51, 104, 628},	// QGlobalSpace::Q_STATIC_TYPE
    {51, 105, 659},	// QGlobalSpace::QtCriticalMsg
    {51, 106, 657},	// QGlobalSpace::QtDebugMsg
    {51, 107, 660},	// QGlobalSpace::QtFatalMsg
    {51, 108, 661},	// QGlobalSpace::QtSystemMsg
    {51, 109, 658},	// QGlobalSpace::QtWarningMsg
    {51, 199, 341},	// QGlobalSpace::i18n$
    {51, 201, 366},	// QGlobalSpace::i18nc$$
    {51, 214, 546},	// QGlobalSpace::ki18n$
    {51, 216, 391},	// QGlobalSpace::ki18nc$$
    {51, 218, 429},	// QGlobalSpace::ki18ncp$$$
    {51, 220, 603},	// QGlobalSpace::ki18np$$
    {51, 238, -1},	// QGlobalSpace::operator!=##
    {51, 239, -17},	// QGlobalSpace::operator!=#$
    {51, 240, -23},	// QGlobalSpace::operator!=$#
    {51, 242, -29},	// QGlobalSpace::operator*##
    {51, 243, -46},	// QGlobalSpace::operator*#$
    {51, 244, -54},	// QGlobalSpace::operator*$#
    {51, 246, -61},	// QGlobalSpace::operator+##
    {51, 247, -67},	// QGlobalSpace::operator+#$
    {51, 248, -72},	// QGlobalSpace::operator+$#
    {51, 249, 470},	// QGlobalSpace::operator+$$
    {51, 251, 347},	// QGlobalSpace::operator++$
    {51, 252, 625},	// QGlobalSpace::operator++$$
    {51, 254, -76},	// QGlobalSpace::operator-#
    {51, 255, -79},	// QGlobalSpace::operator-##
    {51, 256, 471},	// QGlobalSpace::operator-#$
    {51, 258, -84},	// QGlobalSpace::operator/#$
    {51, 260, -90},	// QGlobalSpace::operator<##
    {51, 261, 362},	// QGlobalSpace::operator<#$
    {51, 262, 433},	// QGlobalSpace::operator<$#
    {51, 264, -94},	// QGlobalSpace::operator<<##
    {51, 265, -128},	// QGlobalSpace::operator<<#$
    {51, 266, 355},	// QGlobalSpace::operator<<#?
    {51, 268, -131},	// QGlobalSpace::operator<=##
    {51, 269, 441},	// QGlobalSpace::operator<=#$
    {51, 270, 543},	// QGlobalSpace::operator<=$#
    {51, 272, -135},	// QGlobalSpace::operator==##
    {51, 273, -152},	// QGlobalSpace::operator==#$
    {51, 274, -158},	// QGlobalSpace::operator==$#
    {51, 276, -164},	// QGlobalSpace::operator>##
    {51, 277, 561},	// QGlobalSpace::operator>#$
    {51, 278, 528},	// QGlobalSpace::operator>$#
    {51, 280, -168},	// QGlobalSpace::operator>=##
    {51, 281, 516},	// QGlobalSpace::operator>=#$
    {51, 282, 412},	// QGlobalSpace::operator>=$#
    {51, 284, -172},	// QGlobalSpace::operator>>##
    {51, 285, -206},	// QGlobalSpace::operator>>#$
    {51, 286, 539},	// QGlobalSpace::operator>>#?
    {51, 288, -209},	// QGlobalSpace::operator|$$
    {51, 367, 364},	// QGlobalSpace::tr2i18n$
    {51, 368, 363},	// QGlobalSpace::tr2i18n$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *kutils_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kutils_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    kutils_Smoke = new Smoke(
        "kutils",
        __smokekutils::classes, 99,
        __smokekutils::methods, 727,
        __smokekutils::methodMaps, 357,
        __smokekutils::methodNames, 387,
        __smokekutils::types, 348,
        __smokekutils::inheritanceList,
        __smokekutils::argumentList,
        __smokekutils::ambiguousMethodList,
        __smokekutils::cast );
    initialized = true;
}

void delete_kutils_Smoke() { delete kutils_Smoke; }

}
